Index: extensions/LLGBO2/language/ru_RU/description.txt
===================================================================
--- extensions/LLGBO2/language/ru_RU/description.txt	(revision 7766)
+++ extensions/LLGBO2/language/ru_RU/description.txt	(revision 7766)
@@ -0,0 +1,5 @@
+LLGBO2
+-Показывает миниатюры и Exif-метаданные во всплывающем окне при наведении курсора.
+-Выводит рамку вокруг фотографии.
+-Добавляет кнопки навигации по краям области фотографии.
+-Показывает полосу навигации только на первой и дополнительных страницах.
Index: extensions/LLGBO2/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/LLGBO2/language/ru_RU/plugin.lang.php	(revision 7766)
+++ extensions/LLGBO2/language/ru_RU/plugin.lang.php	(revision 7766)
@@ -0,0 +1,101 @@
+<?php  
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+
+$lang['submit'] = 'Отправить';
+$lang['Title'] = 'Интерфейс как у GBo';
+$lang['Howto'] = 'Этот плагин позволяет настроить вид страниц с фотографиями.';
+$lang['Step1_Title'] = 'Настройки плагина';
+$lang['Step2_Title'] = 'Настройки подсказок';
+$lang['Step3_Title'] = 'Настройки окна';
+$lang['Step4_Title'] = 'Настройки заголовка';
+$lang['llgbo_tooltip']= 'Показывать всплывающую миниатюру при наведении курсора на кнопки навигации:';
+$lang['llgbo_exifunderbt']='Показывать Exif-метаданные при наведении курсора на кнопки навигации:';
+$lang['llgbo_frame']='Управление рамкой фотографии:';
+$lang['llgbo_header']='Управление заголовком страницы:';
+$lang['llgbo_maintain_header']='Выводить заголовок на следующих страницах:';
+$lang['llgbo_usemap']='Добавить полосу навигации на странице с фотографией:';
+$lang['llgbo_usemap_thumb']='Показывать миниатюры при наведении на курсора на фотографию:';
+$lang['llgbo_info']='     (^_^) Настройки обновлены';
+$lang['llgbo_title_frame'] = 'Показывать название фотографии внутри рамки';
+$lang['llgbo_default_navthumb'] = 'Не использовать стандартное отображение следующей/предыдущей миниатюр:';
+$lang['save'] = 'Сохранить';
+$lang['preview'] = 'Предварительный просмотр';
+$lang['llgo_tooltip_width']= 'Ширина окна с подсказкой';
+$lang['llgo_tooltip_size']= 'Ширина рамки окна с подсказкой';
+$lang['llgbo_tooltip_bordercolor']= 'Цвет рамки окна с подсказкой';
+$lang['llgbo_tooltip_backgroundcolor']= 'Цвет фона окна с подсказкой';
+$lang['llgbo_tooltip_titlecolor']= 'Цвет заголовка подсказки';
+$lang['llgbo_tooltip_color']= 'Цвет текста подсказки';
+$lang['llgo_global_setting']= 'Общие настройки страниц с фотографиями';
+$lang['llgo_tooltip_setting']= 'Название подсказки';
+$lang['llgo_frame_setting']= 'Настройки рамки:' ;
+$lang['llgbo_title_frame_color']= 'Цвет названия рамки';
+$lang['llgbo_frame_bdcolor0']= 'Цвет линии 1: ';
+$lang['llgbo_frame_bdcolor1']= 'Цвет линии 2: ';
+$lang['llgbo_frame_bdcolor2']= 'Цвет линии 3: ';
+$lang['llgbo_frame_bdcolor3']= 'Цвет линии 4: ';
+$lang['llgbo_frame_bdcolor4']= 'Цвет линии 5: ';
+$lang['llgbo_frame_bdcolor5']= 'Цвет линии 6: ';
+$lang['llgbo_frame_bdcolor6']= 'Цвет линии 7: ';
+$lang['llgbo_frame_bdcolor7']= 'Цвет линии 8: ';
+$lang['llgbo_frame_bdcolor8']= 'Цвет линии 9: ';
+$lang['llgbo_frame_bdcolor9']= 'Цвет линии 10: ';
+$lang['llgbo_frame_bdcolor10']= 'Цвет линии 11: ';
+$lang['llgbo_frame_bdcolor11']= 'Цвет линии 12: ';
+$lang['llgbo_frame_bdcolor12']= 'Цвет линии 13: ';
+$lang['llgbo_frame_bdcolor13']= 'Цвет линии 14: ';
+$lang['llgbo_frame_bdcolor14']= 'Цвет линии 15: ';
+$lang['llgbo_frame_bdcolor15']= 'Цвет линии 16: ';
+$lang['llgbo_frame_bdsize']= 'Ширина:';
+$lang['llgbo_M_frame'] = 'Управление видом рамки';
+$lang['llgbo_M_tooltip'] = 'Управление видом подсказок';
+$lang['llgbo_M_manage'] = 'Общие настройки';
+$lang['llgbo_samples'] = 'Примеры: ';
+
+//Warning!
+// 2LLGBO developer: Could you please order and group keys semantically?
+// It could considerably simplify a translation process when there is a a number of fields to translate.
+
+$lang['llgbo_frame']='Manage frame around the picture :'; // llgbo_frame key is duplicated.
+$lang['llgbo_header']='Manage header display'; // llgbo_header key is duplicated.
+
+$lang['llgbo_M_header'] = 'Управление видом заголовка';
+$lang['llgbo_header_home'] = 'Показывать заголовок на стартовой странице';
+$lang['llgbo_header_category'] = 'Показывать заголовок на странице категорий';
+$lang['llgbo_header_category_filter_recent']= 'Показывать заголовок на странице новых категорий';
+$lang['llgbo_header_category_flat']= 'Показывать заголовок на странице категорий (option flat)';
+$lang['llgbo_header_category_posted_monthly']= 'Показывать заголовок на странице категорий (option calendar)';
+$lang['llgbo_header_picture']= 'Показывать заголовок на странице с фотографией';
+$lang['llgbo_header_additional_page'] = 'Показывать заголовок на дополнительных страницах';
+$lang['llgbo_header_most_visited'] = 'Показывать заголовок на странице просматриваемых фотографий';
+$lang['llgbo_header_best_rated'] = 'Показывать заголовок на странице самых популярных фотографий';
+$lang['llgbo_header_list']= 'Показывать заголовок на странице случайной фотографии';
+$lang['llgbo_header_recent_pics']= 'Показывать заголовок на странице новых фотографий';
+$lang['llgbo_header_created_monthly_calendar'] = 'Показывать заголовок на странице календаря';
+$lang['llgbo_header_tags']= 'Показывать заголовок на странице тэгов';
+$lang['llgbo_header_search']= 'Показывать заголовок на странице поиска';
+$lang['llgbo_header_comments']= 'Показывать заголовок на странице комментариев';
+$lang['llgbo_header_about']= 'Показывать заголовок на странице "О сайте"';
+$lang['llgbo_header_notification']= 'Показывать заголовок на странице оповещений';
+$lang['llgbo_header_register'] = 'Показывать заголовок на странице регистрации';
+$lang['llgbo_header_identification']= 'Показывать заголовок на странице личных настроек';
+$lang['llgbo_header_favorites']= 'Показывать заголовок на странице "Избранное"';
+
+// Warning!
+// I can't see the difference between "llgbo_header_category_filter_recent" and "llgbo_header_recent_cats"
+// So, the translation is equal for both keys.
+
+$lang['llgbo_header_recent_cats']= 'Показывать заголовок на странице новых категорий';
+
+$lang['llgbo_frame_sample']= 'Список шаблонов';
+$lang['previewsamples']= 'Загрузить шаблон';
+$lang['llgbo_always_displayexif'] = 'Всегда показывать Exif-метаданные:' ;
+$lang['Reset_To_Default'] = 'Загрузить настройки по умолчанию';
+$lang['llgo_warning_setting'] = 'Рамка вокруг фотографии и навигация при наведении на фотографию недоступны при использовании тем группы Gally';
+$lang['llgbo_hdShadowbox'] ='Совместимость HD Shadowbox и навигации при наведении на фотографию.<br> Плагин HD Shadowbox должен быть активирован!';
+
+?>