Index: /extensions/PersoFavicon/language/hu_HU/description.txt
===================================================================
--- /extensions/PersoFavicon/language/hu_HU/description.txt	(revision 7779)
+++ /extensions/PersoFavicon/language/hu_HU/description.txt	(revision 7779)
@@ -0,0 +1,1 @@
+A Piwigo favikon cseréje a helyi könyvtárban.
Index: /extensions/PersoFavicon/language/hu_HU/index.php
===================================================================
--- /extensions/PersoFavicon/language/hu_HU/index.php	(revision 7779)
+++ /extensions/PersoFavicon/language/hu_HU/index.php	(revision 7779)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoFavicon/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/PersoFavicon/language/hu_HU/plugin.lang.php	(revision 7779)
+++ /extensions/PersoFavicon/language/hu_HU/plugin.lang.php	(revision 7779)
@@ -0,0 +1,26 @@
+<?php
+
+//tab add
+$lang['pfi_h2'] = 'Perso Favicon Bővítmény';
+$lang['pfi_ajout'] = 'Ikon hozzáadása';
+$lang['pfi_actu'] = 'Van egy ikon a local könyvtárban : ';
+$lang['pfi_actu2'] = 'FIGYELEM: Ezt írja felül az új a következő letöltéskor.';
+$lang['pfi_validdef'] = 'Biztosan ezt akarod? - ha létezik, felülírja a jelenlegi favikont';
+$lang['pfi_select'] = 'Ikon fájl kiválasztása (.ico)';
+$lang['pfi_envoie'] = 'Feltöltés a local könyvtárba';
+$lang['pfi_erreur_ext'] = 'A feltöltendő fájl típusa nem .ico';
+$lang['pfi_erreur_taille'] = 'A feltöltendő fájl mérete maximum 5 Kb lehet';
+$lang['pfi_erreur_exist'] = 'A fájl cseréje sikeres';
+$lang['pfi_erreur_nom'] = 'Érvénytelen fájlnév';
+$lang['pfi_erreur_vide'] = 'A fájl nem található';
+$lang['pfi_ok'] = 'A fájl feltöltése sikeres';
+$lang['pfi_erreur_mouve'] = 'A fájlt nem lehet a "local" könyvtárba másolni';
+
+//tab help
+$lang['help'] = 'Segítség';
+$lang['pfi_aide1T'] = 'Hozzáadás form-al';
+$lang['pfi_aide1'] = 'A form segítségével hozzáadhaó egy favikon, a rendszer automatikusan létrehoz egy favicon.ico fájlt és kicseréli azt, ami már megtalálható a local könyvtárban.<br>Maximális fájlméret 5kb.<br>Attól függően, hogy a böngésző késlelteti-e a frissítést';
+$lang['pfi_aide2T'] = '$conf[\'PersoFavicon\']';
+$lang['pfi_aide2'] = 'Ha FTP-n keresztül feltöltésre kerül egy favicon-tól eltérő nevű ikon, az hozzáadható a local konfigurációs fájlhoz<br>$conf[\'PersoFavicon\']=\'a fájl neve\'';
+
+?>