Index: /extensions/ContactForm/include/cf_common.inc.php
===================================================================
--- /extensions/ContactForm/include/cf_common.inc.php	(revision 7785)
+++ /extensions/ContactForm/include/cf_common.inc.php	(revision 7786)
@@ -101,4 +101,5 @@
 	'tr_TR' => 'İletişim formu',
 	'cs_CZ' => 'Kontaktní formulář',
+	'lv_LV' => 'Kontaktforma',
 );
 $cf_config_lang_keys['contact_form'] = array(
@@ -115,4 +116,5 @@
 	'tr_TR' => 'İletişim',
 	'cs_CZ' => 'Kontakt',
+	'lv_LV' => 'Kontaktēt',
 ); 
 $cf_config_lang_keys['contact_form_link'] = array(
@@ -129,4 +131,5 @@
 	'tr_TR' => 'İletişim- Site yöneticisi',
 	'cs_CZ' => 'Kontakt správce webu',
+	'lv_LV' => 'Kontaktēt ar webmāsteru',
 );
 CF_Config_Lang::$default_keys = $cf_config_lang_keys;
Index: /extensions/ContactForm/language/lv_LV/description.txt
===================================================================
--- /extensions/ContactForm/language/lv_LV/description.txt	(revision 7786)
+++ /extensions/ContactForm/language/lv_LV/description.txt	(revision 7786)
@@ -0,0 +1,1 @@
+Izvēlnes blokam pievieno vienību "Contact" piedāvājot kontaktformu lietotājiem
Index: /extensions/ContactForm/language/lv_LV/index.php
===================================================================
--- /extensions/ContactForm/language/lv_LV/index.php	(revision 7786)
+++ /extensions/ContactForm/language/lv_LV/index.php	(revision 7786)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ContactForm/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/lv_LV/plugin.lang.php	(revision 7786)
+++ /extensions/ContactForm/language/lv_LV/plugin.lang.php	(revision 7786)
@@ -0,0 +1,90 @@
+<?php
+/* $Id$ */
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+global $lang;
+
+$lang['cf_plugin_name'] = 'Kontaktforma';
+$lang['contact_form_debug'] = 'Atkļūdošanas informācijas attējojumsn';
+
+// ==================================================================
+// Vērtības pēc noklusējuma, ja nav veiktas izmaiņas
+$lang['contact_form_title'] = 'Kontaktforma';
+$lang['contact_form'] = 'Kontaktēt';
+$lang['contact_form_link'] = 'Kontaktēt ar webmāsteru';
+
+// ==================================================================
+// Pāradresē lapu
+$lang['contact_redirect_title'] = 'Sūta pziņojuma statusu';
+
+// ==================================================================
+// Izvēlnes bloks
+$lang['cf_from_name'] = 'Jūsu vārds';
+$lang['cf_from_mail'] = 'Jūsu e-pasts';
+$lang['cf_subject'] = 'Temats';
+$lang['cf_message'] = 'Ziņojums';
+$lang['cf_submit'] = 'Sūtīt';
+$lang['title_send_mail'] = 'Komentārs web lapā';
+
+// ==================================================================
+// Messages
+$lang['cf_from_name_error'] = 'Lūdzu ievadiet vārdu';
+$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_subject_error'] = 'Lūdzu ievadiet tematu';
+$lang['cf_message_error'] = 'Lūdzu ievadiet ziņojumu';
+$lang['cf_error_sending_mail'] = 'Kļūda sūtot e-pastu';
+$lang['cf_sending_mail_successful'] = 'E-pasts nosūtīts veiksmīgi';
+$lang['cf_form_error'] = 'Kļūdaini dati';
+$lang['cf_inconsistent_version'] = '%s: pretrunīgi versiju numuri';
+$lang['cf_no_unlink'] = 'Funkcija \'unlink\' nav pieejama...';
+$lang['cf_unlink_errors'] = 'Kļūda dzēšot failu';
+$lang['cf_config_saved'] = 'Konfigurācija veiksmīgi saglabāta';
+$lang['cf_config_saved_with_errors'] = 'Konfigurācija saglabāta ar kļūdām';
+$lang['cf_length_not_integer'] = 'Izmēram jābūt veselam skaitlim (integer)';
+$lang['cf_delay_not_integer'] = 'Kavējuma laikam jābūt veselam skaitlim';
+$lang['cf_link_error'] = 'Mainīgais nedrīkst saturēt tukšumus (spaces)';
+$lang['cf_hide'] = 'Paslēpt';
+
+// ==================================================================
+// Admin page
+$lang['cf_validate'] = 'Apstiprināt';
+// Konfigurācijas iezīme (tab)
+$lang['cf_tab_config'] = 'Konfigurācija';
+$lang['cf_config'] = 'Konfigurācija';
+$lang['cf_config_desc'] = 'Spraudnis (plugin) galvenā konfigurācija';
+$lang['cf_label_config'] = 'Vispārējā konfigurācija';
+$lang['cf_label_mail'] = 'E-pasta konfigurācija';
+$lang['cf_menu_link'] = 'Pievienot saiti izvēlnē';
+$lang['cf_guest_allowed'] = 'Atļaut viesiem redzēt formu';
+$lang['cf_mail_prefix'] = 'Aizsūtītā e-pasta tēmas prefikss';
+$lang['cf_separator'] = 'Simbols(i), kas lietoti, lai definētu  atdalītājjoslu e-pastā teksta formā';
+$lang['cf_separator_length'] = 'Joslas izmērs';
+$lang['cf_mandatory_name'] = 'Vārds ir obligāts';
+$lang['cf_mandatory_mail'] = 'E-pasta adrese ir obligāta';
+$lang['cf_redirect_delay'] = 'Pāradresācijas kavējuma laiks';
+// Epasta iezīme (tab)
+$lang['cf_tab_emails'] = 'E-pasti';
+$lang['cf_emails'] = 'E-pasti';
+$lang['cf_emails_desc'] = 'e-pastu galamērķu pārvaldība';
+$lang['cf_active'] = 'Aktīvs e-pasts';
+$lang['cf_no_mail'] = 'Nav pieejama e-pasta adrese';
+$lang['cf_refresh'] = 'Atjaunot e-pasta saraksta adresi';
+// Iezīme valoda  
+$lang['cf_tab_language'] = 'Lokalizācija';
+$lang['cf_language'] = 'Lokalizācija';
+$lang['cf_language_desc'] = 'Ziņojuma tulkojums';
+$lang['cf_select_item'] = 'Izvēlēties pārtulkojamo vienību';
+$lang['cf_default_lang'] = 'Pēc noklusējuma';
+$lang['contact_form_title_label'] = 'Izvēlnes joslā lietotais virsraksts';
+$lang['contact_form_label'] = ' Izvēlnes joslā lietotais vārds';
+$lang['contact_form_link_label'] = 'Lapas kājenī kontaktsaitei lietotais teksts';
+// Iezīme vēsture
+$lang['cf_tab_history'] = 'Vēsture';
+$lang['cf_history'] = 'Vēsture';
+$lang['cf_history_desc'] = 'Izmaina vēsturi';
+$lang['cf_history_date'] = 'Datums';
+$lang['cf_history_version'] = 'Versija';
+$lang['cf_history_log'] = 'Izmaiņu logs (Changelog)';
+$lang['cf_file_not_found'] = 'Fails nav atrasts';
+$lang['cf_file_empty'] = 'Fails ir tukšs';
+$lang['cf_format_date'] = '%M %D, %Y';
+?>