Index: extensions/bbcode_bar/language/cs_CZ/description.txt
===================================================================
--- extensions/bbcode_bar/language/cs_CZ/description.txt	(revision 7787)
+++ extensions/bbcode_bar/language/cs_CZ/description.txt	(revision 7787)
@@ -0,0 +1,1 @@
+Povolí BBcode pro komentáře a popisy
Index: extensions/bbcode_bar/language/cs_CZ/index.php
===================================================================
--- extensions/bbcode_bar/language/cs_CZ/index.php	(revision 7787)
+++ extensions/bbcode_bar/language/cs_CZ/index.php	(revision 7787)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/bbcode_bar/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/bbcode_bar/language/cs_CZ/plugin.lang.php	(revision 7787)
+++ extensions/bbcode_bar/language/cs_CZ/plugin.lang.php	(revision 7787)
@@ -0,0 +1,53 @@
+<?php
+	global $lang;
+	
+		$lang['admin_liste'] 		= "Seznam :";	
+	
+	$lang['p_help'] 		= "Odstavec : [p]odstavec[/p]";	
+	$lang['b_help'] 		= "Tučné : [b]tučné[/b]";
+	$lang['i_help'] 		= "Kurzíva : [i]kurzíva[/i]";
+	$lang['u_help'] 		= "Podtržené : [u]podtržené[/u]";	
+	$lang['s_help'] 		= "Přeškrtnuté : [s]přeškrtnuto[/s]";
+	
+	$lang['center_help'] 	= "Uprostřed : [center]uprostřed[/center]";
+	$lang['right_help'] 	= "Na pravo : [right]na pravo[/right]";
+	$lang['ul_help'] 		= "Jednoduchý seznam : [ul][li]element[/li][/ul]";
+	$lang['ol_help'] 		= "Číslovaný seznam: [ol][li]element[/li][/ol]";
+	
+	$lang['quote_help'] 	= "Citace : [quote]citát[/quote]";
+	$lang['img_help'] 		= "Obrázek : [img]obrázek[/img]";
+	$lang['url_help'] 		= "URL : [url=URL]Nadpis[/url]";
+	$lang['mail_help'] 		= "E-mail : [email]Email[/email]";	
+	
+	$lang['size_help'] 		= "Velikost fontu : [size=X]text[/size]";
+	$lang['tiny'] 		= "Drobná";
+	$lang['small'] 		= "Malá";
+	$lang['normal'] 	= "Normální";
+	$lang['large'] 		= "Veliký";
+	$lang['huge'] 		= "Obří";	
+	
+	$lang['fc_help'] 	= "Barva písma : [color=color]text[/color]";
+	$lang['default_help']	= "Defaultní";
+	$lang['maroon_help'] 	= "Tmavě červená";		
+	$lang['red_help'] 		= "Červená";			
+	$lang['orange_help'] 	= "Oranžová";	 	
+	$lang['brown_help'] 	= "Hnědá";
+	$lang['yellow_help'] 	= "Žlutá";	 	
+	$lang['green_help'] 	= "Zelená"; 	
+	$lang['olive_help'] 	= "Olivová";	 	
+	$lang['cyan_help'] 		= "Azurová";
+	$lang['blue_help'] 		= "Modrá";	
+	$lang['darkblue_help']	= "Tmavá modrá";
+	$lang['indigo_help'] 	= "Indigo";
+	$lang['violet_help'] 	= "Fialková";
+	$lang['white_help'] 	= "Bílá";
+	$lang['black_help'] 	= "Černá";
+	
+	$lang['preview'] 		= "Náhled";
+	
+	$lang['help']			= "Nejjednodušeji: formátování může být aplikováno jen na označený text.";
+	
+	$lang['repicon']		= "Složka ikon.";
+  
+  $lang['bbcb_config_saved'] = "Konfigurace uložena";
+?>