Index: /extensions/gally/gally-default/language/ru_RU/index.php
===================================================================
--- /extensions/gally/gally-default/language/ru_RU/index.php	(revision 7788)
+++ /extensions/gally/gally-default/language/ru_RU/index.php	(revision 7788)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gally/gally-default/language/ru_RU/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/ru_RU/theme.lang.php	(revision 7788)
+++ /extensions/gally/gally-default/language/ru_RU/theme.lang.php	(revision 7788)
@@ -0,0 +1,70 @@
+<?php
+
+$lang['gally_action_ok'] = 'Действие выполнено успешно';
+$lang['gally_action_ko'] = 'Действие не выполнено';
+
+$lang['gally_save_local_conf'] = 'Сохранить настройки';
+
+$lang['gally_img_high_res'] = 'Фотография/Высокое разрешение';
+$lang['gally_img_interface'] = 'Фотография/Интерфейс';
+$lang['gally_img_other'] = 'Фотография/Другое';
+
+$lang['gally_img_high_res_desc'] = 'Настройки свойств элементов пользовательского интерфейса при просмотре фотографий в высоком разрешении';
+$lang['gally_img_interface_desc'] = 'Настройки свойств элементов пользовательского интерфейса при просмотре фотографий';
+$lang['gally_img_other_desc'] = 'Настройки дополнительных свойства элементов пользовательского интерфейса при просмотре фотографий';
+
+$lang['gally_default_zoom_size'] = 'Увеличение по умолчанию';
+$lang['gally_default_zoom_size_desc'] = 'Начальный вид окна с HD-фотографией по умолчанию';
+$lang['gally_defaultZoomSize_full'] = 'Фактический размер (если размер фотографии превышает размер экрана, то можно перемещаться по экрану)';
+$lang['gally_defaultZoomSize_fit'] = 'Изменить размер фотографии, чтобы она полностью помещалась на экране';
+$lang['gally_display_high_res_icon'] = 'Иконка в панели инструментов';
+$lang['gally_display_high_res_icon_desc'] = 'Показывать иконку в панели инструментов, если у фотографии есть HD-версия';
+$lang['gally_displayHighResIcon_yes'] = 'Показывать иконку';
+$lang['gally_displayHighResIcon_no'] = 'Не показывать иконку';
+$lang['gally_display_high_res_click_mode'] = 'Действие, сопряженное с HD-фотографией';
+$lang['gally_display_high_res_click_mode_desc'] = 'Определяет поведение интерфейса при щелчке мыши на фотографии в высоком разрешении';
+$lang['gally_highResClickMode_zoom'] = 'Изменение типа отображения фотографии (Фактический размер/вписывание в окно браузера)';
+$lang['gally_highResClickMode_close'] = 'Закрытие окна с HD-фотографией';
+
+$lang['gally_interface_on_image'] = 'Показывать при наведении';
+$lang['gally_interface_on_image_desc'] = 'Видимость пользовательского интерфейса при наведении курсора мыши на фотографию';
+$lang['gally_interface_on_image_always'] = 'Показывать всегда';
+$lang['gally_interface_on_image_noscroll'] = 'Показывать, только если фотографию не панорамная';
+$lang['gally_interface_on_image_never'] = 'Не показывать никогда';
+
+$lang['gally_image_interface_hidden'] = 'Показывать при загрузке страницы';
+$lang['gally_image_interface_hidden_desc'] = 'Показывать ли пользовательский интерфейс после загрузки страницы с фотографией';
+$lang['gally_image_interface_hidden_no'] = 'Показывать интерфейс при загрузке страницы';
+$lang['gally_image_interface_hidden_yes'] = 'Скрывать интерфейс при загрузке страницы. Он будет доступен при наведении курсора на фотографию или на область инструментальной панели';
+
+$lang['gally_interface_timer_delay'] = 'Таймаут';
+$lang['gally_interface_timer_delay_desc'] = 'Время ожидания до момента скрытия пользовательского интерфейса';
+
+$lang['gally_meta_num_cols'] = 'Просмотр метаданных';
+$lang['gally_meta_num_cols_desc'] = 'Количество столбцов при отображении метаданных';
+$lang['gally_columns'] = 'Количество столбцов';
+
+$lang['gally_display_banner'] = 'Показывать баннер';
+$lang['gally_display_banner_desc'] = 'Настройка отображения баннера с названием сайта при просмотре фотографий';
+$lang['gally_display_banner_yes'] = 'Показывать баннер';
+$lang['gally_display_banner_no'] = 'Скрывать баннер';
+
+$lang['gally_image_auto_scroll'] = 'Настройки просмотра панорамных фотографий';
+$lang['gally_image_auto_scroll_desc'] = 'Настройки пользовательского интерфейса при просмотре панорамных фотографий';
+$lang['gally_image_auto_scroll_yes'] = 'Автоматическое перемещение фотографии при движении курсора мыши в окне просмотра';
+$lang['gally_image_auto_scroll_no'] = 'Ручное перемещение фотографии с помощью полос прокрутки окна браузера';
+$lang['gally_image_auto_scroll_warning'] = 'Эта функция автоматически блокируется в браузерах MS Internet Explorer младше версии 8';
+
+// v1.3.1
+$lang['gally_image_simulate_high_res'] = 'Имитировать наличие HD-версий для панорамных фотографий';
+
+// v1.3.5
+$lang['gally_image_interface_can_switch']='Видимость пользовательского интерфейса';
+$lang['gally_image_interface_can_switch_desc']='Показывать ли интерфейс всегда или он может быть скрыт';
+$lang['gally_image_interface_can_switch_yes']='Пользовательский интерфейс выводится согласно с настройками темы, указанными на этой странице';
+$lang['gally_image_interface_can_switch_no']='Показывать пользовательский интерфейс всегда';
+$lang['gally_display_banner_alternate'] = 'Показывать пользовательский баннер';
+$lang['gally_alternate_banner_content'] = 'Текст баннера:';
+
+
+?>