Index: tensions/Register_PhpBB/main.inc.php
===================================================================
--- /extensions/Register_PhpBB/main.inc.php	(revision 7793)
+++ 	(revision )
@@ -1,58 +1,0 @@
-<?php
-/*
-Plugin Name: Register PhpBB
-Version: 1.2a
-Description: Ce plugin permet d'enregistrer automatiquement un utilisateur de PWG dans un forum PhpBB. Rendez-vous dans le panneau d'administration du plugin pour finaliser les paramètres - This plugin allows to automatically register a PWG user in a PhpBB forum. Go to plugin administration panel to finalize the settings. Based on original Mod by Flipflip.
-Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=129
-Author: Eric
-Author URI: http://www.infernoweb.net
-*/
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-/* ******************* */
-/* Class of the plugin */
-/* ******************* */
-class Register_PhpBB
-{
-/* Set the administration panel of the plugin */
-  function plugin_admin_menu($menu)
-  {
-    array_push($menu,
-        array(
-          'NAME' => 'Register PhpBB',
-          'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin/reg_phpbb_admin.php')
-        )
-      );
-    return $menu;
-  }
-
-/* User adding */
-  function PhpBB_Adduser($register_user)
-  {
-  	include_once (PHPWG_ROOT_PATH.'/include/constants.php');
-  	include_once (dirname(__FILE__).'/include/constants.php');
-	load_conf_from_db('param like \'phpbb\\_%\'');
-	global $conf;
-	if ($conf['phpbb_status'])
-		include (dirname(__FILE__).'/reg_phpbb_adduser.php');
-  }
-
-/* User deletion */
-   function PhpBB_Deluser($user_id)
-  {
-  	include_once (PHPWG_ROOT_PATH.'/include/constants.php');
-  	include_once (dirname(__FILE__).'/include/constants.php');
-	load_conf_from_db('param like \'phpbb\\_%\'');
-  	global $conf;
-	if ($conf['phpbb_status'])
-		include (dirname(__FILE__).'/reg_phpbb_deluser.php');
-  }
-}
-
-$obj = new Register_PhpBB(); /* class loading */
-
-add_event_handler( 'register_user', array(&$obj, 'PhpBB_Adduser') );
-add_event_handler( 'delete_user', array(&$obj, 'PhpBB_Deluser') );
-add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'plugin_admin_menu') );
-set_plugin_data($plugin['id'], $obj);
-?>
Index: tensions/Register_PhpBB/maintain.inc.php
===================================================================
--- /extensions/Register_PhpBB/maintain.inc.php	(revision 7793)
+++ 	(revision )
@@ -1,129 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Plugin Name : Register_PhpBB                                          |
-// | Plugin Version : 1.2a                                                 |
-// | File Version : 0.2                                                    |
-// | Plugin Version author : Eric <lucifer@infernoweb.net>                 |
-// | Plugin description :                                                  |
-// | Ce plugin permet l'enregistrement d'un utilisateur directement dans   |
-// | phpbb - This plugin allows to automatically register a PWG user in a  |
-// | phpbb forum                                                           |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// ******************************************
-// ** Database install - uninstall queries **
-// ******************************************
-
-  define('REGISTER_PHPBB_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
-  include_once(REGISTER_PHPBB_PATH.'include/constants.php');
-  
-function plugin_install()
-{
-	$q = '
-INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
-	VALUES
-	("phpbb_status","0","Activation of Register_PhpBB plugin");';
-
-  pwg_query($q);
-
-	$q = '
-INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
-	VALUES
-	("phpbb_prefix","phpbb_","PhpBB prefix tables");';
-
-  pwg_query($q);
-
-	$q = '
-INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
-	VALUES
-	("phpbb_admin","admin","PWG administrator username. Must be the same as PhpBB administrator username");';
-
-  pwg_query($q);
-
-	$q = '
-INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
-	VALUES
-	("phpbb_timezone","1","Timezone");';
-
-  pwg_query($q);
-
-	$q = '
-INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
-	VALUES
-	("phpbb_language","English","Language");';
-
-  pwg_query($q);
-
-	$q = '
-INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
-	VALUES
-	("phpbb_style","1","Default forum\'s skin ID");';
-
-  pwg_query($q);
-  
-  	$q = '
-INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
-	VALUES
-	("phpbb_del_pt","1","Deletion of topics and posts from deleted user");';
-
-  pwg_query($q);
-
-	$q = '
-CREATE TABLE IF NOT EXISTS '.PLUGIN_REGISTER_PHPBB_ID.' (
-  id_user_pwg smallint(5) NOT NULL default "0",
-  id_user_phpbb int(10) NOT NULL default "0",
-  KEY id_user_pwg (id_user_pwg,id_user_phpbb));';
-
-  pwg_query($q);
-}
-
-
-function plugin_uninstall()
-{
-  $q = '
-DELETE FROM '.CONFIG_TABLE.' WHERE param="phpbb_status" LIMIT 1;';
-  pwg_query( $q );
-
-  $q = '
-DELETE FROM '.CONFIG_TABLE.' WHERE param="phpbb_prefix" LIMIT 1;';
-  pwg_query( $q );
-
-  $q = '
-DELETE FROM '.CONFIG_TABLE.' WHERE param="phpbb_admin" LIMIT 1;';
-  pwg_query( $q );
-
-  $q = '
-DELETE FROM '.CONFIG_TABLE.' WHERE param="phpbb_timezone" LIMIT 1;';
-  pwg_query( $q );
-
-  $q = '
-DELETE FROM '.CONFIG_TABLE.' WHERE param="phpbb_language" LIMIT 1;';
-  pwg_query( $q );
-
-  $q = '
-DELETE FROM '.CONFIG_TABLE.' WHERE param="phpbb_style" LIMIT 1;';
-  pwg_query( $q );
-
-  $q = '
-DELETE FROM '.CONFIG_TABLE.' WHERE param="phpbb_del_pt" LIMIT 1;';
-  pwg_query( $q );
-
-  $q = 'DROP TABLE '.PLUGIN_REGISTER_PHPBB_ID.';';
-  pwg_query( $q );
-}
-
-?>
Index: tensions/Register_PhpBB/reg_phpbb_adduser.php
===================================================================
--- /extensions/Register_PhpBB/reg_phpbb_adduser.php	(revision 7793)
+++ 	(revision )
@@ -1,180 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Plugin Name : Register_PhpBB                                          |
-// | Plugin Version : 1.2a                                                 |
-// | File Version : 0.3                                                    |
-// | Plugin Version author : Eric <lucifer@infernoweb.net>                 |
-// | Plugin description :                                                  |
-// | Ce plugin permet l'enregistrement d'un utilisateur directement dans   |
-// | phpbb - This plugin allows to automatically register a PWG user in a  |
-// | phpbb forum                                                           |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// *****************************************
-// ** Add user to the PhpBB #_users table **
-// *****************************************
-
-// Load Plugin settings from database
-load_conf_from_db('param like \'phpbb\\_%\'');
-
-global $conf;
-
-// Password hashing method
-if (function_exists('sha1'))	// Only in PHP 4.3.0+
-	{
-    	$password = sha1($_POST['password']);
-	}
-else if (function_exists('mhash'))	// Only if Mhash library is loaded
-	{
-    	$password =  bin2hex(mhash(MHASH_SHA1, $_POST['password']));
-	}
-else
-	{
-    	$password =  md5($_POST['password']);
-	}
-
-// Getting the last user Id
-$query0 = '
-		SELECT MAX(user_id) AS total FROM
-		'.$conf['phpbb_prefix'].'users;
-	';
-$result0 = pwg_query($query0);
-$row0 = mysql_fetch_array($result0);
-
-// New user Id is the last one + 1
-$id_user_phpbb = $row0['total'] + 1;
-
-// Registration date and time
-$registred = time();
-
-// Check wich email var is used
-if (defined('IN_ADMIN') and IN_ADMIN) /* This is for adding a user in admin panel */
-	{
-		$mail = $_POST['email'];
-		$query1 = "
-        	INSERT INTO ".$conf['phpbb_prefix']."users
-			(user_id, user_active, user_actkey, username, user_password, user_session_time, user_session_page, user_lastvisit, user_regdate, user_level, user_posts, user_style, user_lang, user_dateformat, user_new_privmsg, user_unread_privmsg, user_last_privmsg, user_login_tries, user_last_login_try, user_viewemail, user_attachsig, user_allowhtml, user_allowbbcode, user_allowsmile, user_allowavatar, user_allow_pm, user_allow_viewonline, user_notify, user_notify_pm, user_popup_pm, user_rank, user_avatar_type, user_email)
-			VALUES (
-				'".$id_user_phpbb."',
-				'1',
-			    '',
-			    '".$_POST['login']."',
-			    '".$password."', 
-			    '0',
-			    '0',
-			    '".$registred."',
-			    '".$registred."', 
-				'0',
-			    '0',
-			    '".$conf['phpbb_style']."',
-			    '".$conf['phpbb_language']."',
-			    'D M d, Y g:i a',
-			    '0',
-			    '0',
-			    '0',
-			    '0',
-		    	'0',
-			    '0',
-			    '1',
-			    '0',
-		    	'1',
-			    '1',
-			    '1',
-			    '1',
-		    	'1',
-			    '0',
-			    '1',
-			    '1',
-		    	'0',
-			    '0',
-			    '".$mail."'
-			);
-		";
-		$result1 = pwg_query($query1);
-	}
-else /* This is when a user registered himself with the register form */
-	{
-		$query2 = "
-			INSERT INTO ".$conf['phpbb_prefix']."users
-			(user_id, user_active, user_actkey, username, user_password, user_session_time, user_session_page, user_lastvisit, user_regdate, user_level, user_posts, user_style, user_lang, user_dateformat, user_new_privmsg, user_unread_privmsg, user_last_privmsg, user_login_tries, user_last_login_try, user_viewemail, user_attachsig, user_allowhtml, user_allowbbcode, user_allowsmile, user_allowavatar, user_allow_pm, user_allow_viewonline, user_notify, user_notify_pm, user_popup_pm, user_rank, user_avatar_type, user_email)
-			VALUES (
-				'".$id_user_phpbb."',
-				'1',
-			    '',
-			    '".$_POST['login']."',
-			    '".$password."', 
-			    '0',
-			    '0',
-			    '".$registred."',
-			    '".$registred."', 
-				'0',
-			    '0',
-			    '".$conf['phpbb_style']."',
-			    '".$conf['phpbb_language']."',
-			    'D M d, Y g:i a',
-			    '0',
-			    '0',
-			    '0',
-			    '0',
-		    	'0',
-			    '0',
-			    '1',
-			    '0',
-		    	'1',
-			    '1',
-			    '1',
-			    '1',
-		    	'1',
-			    '0',
-			    '1',
-			    '1',
-		    	'0',
-			    '0',
-			    '".$_POST['mail_address']."'
-			);
-		";
-		$result2 = pwg_query($query2);
-	}
-
-// Processing forum groups
-$query3 = "
-		INSERT INTO ".$conf['phpbb_prefix']."groups
-			(group_name, group_description, group_single_user, group_moderator)
-		VALUES ('".$_POST['login']."', 'Personal User', 1, 0)";
-$result3 = pwg_query($query3);
- 
-$group_id = mysql_insert_id();
- 
-$query4 = "
-		INSERT INTO ".$conf['phpbb_prefix']."user_group
-			(group_id, user_id, user_pending)
-		VALUES ('".$group_id."','".$id_user_phpbb."','0');
-	";
-$result4 = pwg_query($query4);
-
-// Retrieve user ID in PhpBB user table
-//$id_user_phpbb = mysql_insert_id();
-
-// Retrieve user ID in PWG user table
-$user_id_pwg = get_userid($_POST['login']);
-
-// Insertion of the ID in the pwg/phpbb correspondence table
-$query5 = "
-        INSERT INTO ".PLUGIN_REGISTER_PHPBB_ID." (id_user_pwg, id_user_phpbb)
-        VALUES('".$user_id_pwg."', '".$id_user_phpbb."');";
-$result5 = pwg_query($query5);
-?>
Index: tensions/Register_PhpBB/reg_phpbb_deluser.php
===================================================================
--- /extensions/Register_PhpBB/reg_phpbb_deluser.php	(revision 7793)
+++ 	(revision )
@@ -1,109 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Plugin Name : Register_PhpBB                                          |
-// | Plugin Version : 1.2a                                                 |
-// | File Version : 0.1                                                    |
-// | Plugin Version author : Eric <lucifer@infernoweb.net>                 |
-// | Plugin description :                                                  |
-// | Ce plugin permet l'enregistrement d'un utilisateur directement dans   |
-// | phpbb - This plugin allows to automatically register a PWG user in a  |
-// | phpbb forum                                                           |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// ********************************************
-// ** Delete user from the PhpBB users table **
-// ********************************************
-
-// Load Plugin settings from database
-load_conf_from_db('param like \'phpbb\\_%\'');
-
-global $conf;
-
-// ID selection in the pwg/phpbb correspondence table
-$query = "
-        SELECT id_user_phpbb, id_user_pwg FROM ".PLUGIN_REGISTER_PHPBB_ID."
-        WHERE id_user_pwg = ".$user_id.";
-    ";
-$result = pwg_query($query);
-
-while($data = mysql_fetch_array($result))
-{
-  // Selection du nom d'utilisateur
-  $query_0 = "
-		SELECT username, user_id
-		FROM ".$conf['phpbb_prefix']."users
-		WHERE user_id = ".$data['id_user_phpbb'].";
-	";
-  $result_0 = pwg_query($query_0);
-  
-  while ($data_0 = mysql_fetch_array($result_0))
-  {
-    // Suppression des liens groupe -- utilisateur
-    $query_1 = "
-			DELETE FROM ".$conf['phpbb_prefix']."groups
-			WHERE group_name = '".$data_0['username']."';
-		";
-    $result_1 = pwg_query($query_1);
-  }
-    
-  // Si égale à 0, suppression de tous les posts et topics
-  if ($conf['phpbb_del_pt'] == 0)
-  {
-    // Suppression des posts de l'utilisateur
-    $query_2 = "
-			DELETE FROM ".$conf['phpbb_prefix']."posts
-			WHERE poster_id = ".$data['id_user_phpbb'].";
-		";
-    $result_2 = pwg_query($query_2);
-
-    // Suppression des topics de cet utilisateur
-    $query_3 = "
-			DELETE FROM ".$conf['phpbb_prefix']."topics
-			WHERE topic_poster = ".$data['id_user_phpbb'].";
-		";
-    $result_3 = pwg_query($query_3);
-  }
-
-  // Suppression des abonnements de l'utilisateur
-  $query_4 = "
-  		DELETE FROM ".$conf['phpbb_prefix']."topics_watch
-		WHERE user_id = ".$data['id_user_phpbb'].";
-	";
-  $result_4 = pwg_query($query_4);
-  
-  // Suppression du compte utilisateur
-  $query_5 = "
-  		DELETE FROM ".$conf['phpbb_prefix']."users
-		WHERE user_id = ".$data['id_user_phpbb'].";
-	";
-  $result_5 = pwg_query($query_5);
-  
-  // Suppression des liens groupe -- utilisateur
-  $query_6 = "
-  		DELETE FROM ".$conf['phpbb_prefix']."user_group
-		WHERE user_id = ".$data['id_user_phpbb'].";
-	";
-  $result_6 = pwg_query($query_6);
- 
-  // Suppression de la correspondance pwg/phpbb
-  $query_7 = "
-  		DELETE FROM ".PLUGIN_REGISTER_PHPBB_ID."
-  		WHERE id_user_pwg = ".$user_id.";
-	";
-  $result_7 = pwg_query($query_7);
-}
-?>
Index: tensions/Register_PhpBB/reg_phpbb_migration.php
===================================================================
--- /extensions/Register_PhpBB/reg_phpbb_migration.php	(revision 7793)
+++ 	(revision )
@@ -1,132 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Plugin Name : Register_PhpBB                                          |
-// | Plugin Version : 1.2a                                                 |
-// | File Version : 0.1                                                    |
-// | Plugin Version author : Eric <lucifer@infernoweb.net>                 |
-// | Plugin description :                                                  |
-// | Ce plugin permet l'enregistrement d'un utilisateur directement dans   |
-// | phpbb - This plugin allows to automatically register a PWG user in a  |
-// | phpbb forum                                                           |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// **************************************
-// ** User migration from PWG to PhpBB **
-// **************************************
-
-include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
-
-echo '<h2>Migration des comptes PhpWebGallery vers PhpBB</h2>';
-
-// Select of PWG users
-$query = 'SELECT username, password, mail_address FROM '.USERS_TABLE.';';
-$result = pwg_query($query);
-
-$registred = time();
-$registred_ip = '127.0.0.1';
-
-while ($row = mysql_fetch_array($result))
-{
-    if(($row['username'] != 'guest') AND ($row['username'] != $conf['phpbb_admin']))
-    {
-        echo '<b>Transfert du compte :</b> '.$row['username'].' --> ';
-        
-        // Getting the last user Id
-        $query_1 = '
-				SELECT MAX(user_id) AS total
-				FROM '.$conf['phpbb_prefix'].'users;
-			';
-		$result_1 = pwg_query($query_1);
-    	$row_1 = mysql_fetch_array($result_1);
-		// The new user Id is the last one + 1
-		$user_id = $row_1['total'] + 1;
-        
-        $query_2 = "
-			INSERT INTO ".$conf['phpbb_prefix']."users
-			(user_id, user_active, user_actkey, username, user_password, user_session_time, user_session_page, user_lastvisit, user_regdate, user_level, user_posts, user_style, user_lang, user_dateformat, user_new_privmsg, user_unread_privmsg, user_last_privmsg, user_login_tries, user_last_login_try, user_viewemail, user_attachsig, user_allowhtml, user_allowbbcode, user_allowsmile, user_allowavatar, user_allow_pm, user_allow_viewonline, user_notify, user_notify_pm, user_popup_pm, user_rank, user_avatar_type, user_email)
-			VALUES (
-				'".$user_id."',
-				'1',
-			    '',
-			    '".$row['username']."',
-			    '".$row['password']."', 
-			    '0',
-			    '0',
-			    '".$registred."',
-			    '".$registred."', 
-				    '0',
-			    '0',
-			    '".$conf['phpbb_style']."',
-			    '".$conf['phpbb_language']."',
-			    'D M d, Y g:i a',
-			    '0',
-			    '0',
-			    '0',
-			    '0',
-		    	'0',
-			    '0',
-			    '1',
-			    '0',
-		    	'1',
-			    '1',
-			    '1',
-			    '1',
-		    	'1',
-			    '0',
-			    '1',
-			    '1',
-		    	'0',
-			    '0',
-			    '".$row['mail_address']."'
-			);
-		";
-        $result_2 = pwg_query($query_2);
-
-        // Get PhpBB user Id
-        $id_user_phpbb = mysql_insert_id();
-
-		$query_3 = "
-				INSERT INTO ".$conf['phpbb_prefix']."groups
-				(group_name, group_description, group_single_user, group_moderator)
-				VALUES ('".$row['username']."', 'Personal User', 1, 0);
-			";
-    	$result_3 = pwg_query($query_3);
-
-    	$group_id = mysql_insert_id();
-
-    	$query_4 = "
-				INSERT INTO ".$conf['phpbb_prefix']."user_group
-				(group_id, user_id, user_pending)
-				VALUES ('".$group_id."','".$id_user_phpbb."','0');
-			";
-    	$result_4 = pwg_query($query_4);
-
-        // Get PWG user Id
-        $user_id_pwg = get_userid($row['username']);
-
-        // Insert of PWG user id and PhpBB user id on correspondence table
-        $query_5 = "
-                INSERT INTO ".PLUGIN_REGISTER_PHPBB_ID." (id_user_pwg, id_user_phpbb)
-                VALUES('".$user_id_pwg."', '".$id_user_phpbb."');
-			";
-        $result_5 = pwg_query($query_5);
-        echo '<b>Migration done !</b><br>';
-    }
-}
-
-//TODO: Get the migration result into a template
-?>
Index: tensions/Register_PhpBB/reg_phpbb_synchro.php
===================================================================
--- /extensions/Register_PhpBB/reg_phpbb_synchro.php	(revision 7793)
+++ 	(revision )
@@ -1,66 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Plugin Name : Register_PhpBB                                          |
-// | Plugin Version : 1.2a                                                 |
-// | File Version : 0.1                                                    |
-// | Plugin Version author : Eric <lucifer@infernoweb.net>                 |
-// | Plugin description :                                                  |
-// | Ce plugin permet l'enregistrement d'un utilisateur directement dans   |
-// | phpbb - This plugin allows to automatically register a PWG user in a  |
-// | phpbb forum                                                           |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// *********************************************
-// ** Correspondence table re synchronization **
-// *********************************************
-
-include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
-
-// Empty the ids from table
-$query_1 = "TRUNCATE ".PLUGIN_REGISTER_PHPBB_ID.";";
-$result_1 = pwg_query($query_1);
-
-// Selection of all PWG accounts
-$query = "
-        SELECT id AS id_pwg, username
-		FROM ".USERS_TABLE.";
-	";
-$result = pwg_query($query);
-
-while($data = mysql_fetch_array($result))
-{
-    // Selection of PhpBB user's id in relation with PWG user's id
-    $query_2 = "
-            SELECT user_id AS id_phpbb
-			FROM ".$conf['phpbb_prefix']."users
-			WHERE username = '".$data['username']."';
-		";
-    $result_2 = pwg_query($query_2);
-
-    while($data_1 = mysql_fetch_array($result_2))
-    {
-        // Insert PWG id and PhpBB id in correspondence table
-        $query_3 = "
-                INSERT INTO ".PLUGIN_REGISTER_PHPBB_ID." (id_user_pwg, id_user_phpbb)
-                VALUES (".$data['id_pwg'].", ".$data_1['id_phpbb'].");";
-        $result_3 = pwg_query($query_3);
-    }
-}
-echo 'Re synchronization done !';
-
-//TODO: Get re synchro result into a template
-?>
Index: tensions/Register_PhpBB/reg_phpbb_update_profile.php
===================================================================
--- /extensions/Register_PhpBB/reg_phpbb_update_profile.php	(revision 7793)
+++ 	(revision )
@@ -1,67 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Plugin Name : Register_PhpBB                                          |
-// | Plugin Version : 1.2a                                                 |
-// | File Version : 0.1                                                    |
-// | Plugin Version author : Eric <lucifer@infernoweb.net>                 |
-// | Plugin description :                                                  |
-// | Ce plugin permet l'enregistrement d'un utilisateur directement dans   |
-// | phpbb - This plugin allows to automatically register a PWG user in a  |
-// | phpbb forum                                                           |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Password hashing method
-if (function_exists('sha1'))	// Only in PHP 4.3.0+
-{
-    $password = sha1($_POST['use_new_pwd']);
-}
-else if (function_exists('mhash'))	// Only if Mhash library is loaded
-{
-    $password =  bin2hex(mhash(MHASH_SHA1, $_POST['use_new_pwd']));
-}
-else
-{
-    $password =  md5($_POST['use_new_pwd']);
-}
-
-// Retrieve user ID in PhpBB user table
-$query = '
-        SELECT id_user_phpbb
-        FROM '.PLUGIN_REGISTER_PHPBB_ID
-        .' WHERE id_user_pwg = '.$userdata['id'].';
-    ';
-$result = pwg_query($query);
-
-while($row = mysql_fetch_array($result))
-{
-    // Email modification
-    $query = '
-            UPDATE '.$conf['phpbb_prefix'].'users 
-            SET user_email = \''.$_POST['mail_address'].'\'';
-
-            // If new password field is empty
-            // the change is set in the PhpBB
-            // users table with password hashing.
-            if (!empty($_POST['use_new_pwd']))
-            {
-                $query.= ', user_password = \''.$password.'\'';
-            }
-            $query.= ' WHERE id = '.$row['id_user_phpbb'].';
-        ';
-    $result = pwg_query($query);
-}
-?>