Index: /extensions/gally/gally-default/language/lv_LV/index.php
===================================================================
--- /extensions/gally/gally-default/language/lv_LV/index.php	(revision 7796)
+++ /extensions/gally/gally-default/language/lv_LV/index.php	(revision 7796)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gally/gally-default/language/lv_LV/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/lv_LV/theme.lang.php	(revision 7796)
+++ /extensions/gally/gally-default/language/lv_LV/theme.lang.php	(revision 7796)
@@ -0,0 +1,71 @@
+<?php
+
+$lang['gally_action_ok'] = 'Darbība bija sekmīga';
+$lang['gally_action_ko'] = 'Darbība nesekmīga';
+
+$lang['gally_save_local_conf'] = 'Iestatījumu saglabāšana';
+
+$lang['gally_img_high_res'] = 'Attēls/Augsta izšķirtspēja';
+$lang['gally_img_interface'] = 'Attēls/Interfeiss';
+$lang['gally_img_other'] = 'Attēls/Cits';
+
+$lang['gally_img_high_res_desc'] = 'Šī lapa ļauj definēt lietotāja interfeisa detaļas augstas izšķirtspējas attēla vērošanas laikā';
+$lang['gally_img_interface_desc'] = 'Šī lapa ļauj definēt lietotāja interfeisa detaļas attēla vērošanas laikā';
+$lang['gally_img_other_desc'] = 'Šī lapa ļauj definēt dažādas lietotāja interfeisa detaļas attēla vērošanas laikā';
+
+$lang['gally_default_zoom_size'] = 'Fokusa (zoom) lielums pēc noklusēšanas';
+$lang['gally_default_zoom_size_desc'] = 'Šī izvēlne iestāda attēla parādīšanas (displeja) tipu pēc noklusējuma augstas izšķīrtspējas attēla ielādes gadījumā.';
+$lang['gally_defaultZoomSize_full'] = 'Faktiskais izmērs (ja attēls neievietojas ekrānā, iespējam to pārvietot (scroll) gan vertikāli, gan horizontāli)';
+$lang['gally_defaultZoomSize_fit'] = 'Izmainīti attēla izmēri, lai to pilnībā atainotu uz ekrāna';
+$lang['gally_display_high_res_icon'] = 'Ikona rīkjoslā';
+$lang['gally_display_high_res_icon_desc'] = 'Šī versija lieto ikonu rīkjoslā, ja attēlam ir augstas izširtsējas versija';
+$lang['gally_displayHighResIcon_yes'] = 'Rādīt ikonu';
+$lang['gally_displayHighResIcon_no'] = 'Nerādīt ikonu';
+$lang['gally_display_high_res_click_mode'] = 'Darbība saistīta ar augstas izšķirtspējas attēlu';
+$lang['gally_display_high_res_click_mode_desc'] = 'Šī izvēlne nosaka, kā uzvedas interfeiss, kad Jūs klikšķināt uz augstas izšķirtspējas attēla';
+$lang['gally_highResClickMode_zoom'] = 'Fokusēšanas tipa izmaiņa (Faktiskais lielums / izmainīts)';
+$lang['gally_highResClickMode_close'] = 'Beigt rādīt attēlu augstas izšķirtspējas režīmā';
+
+$lang['gally_interface_on_image'] = 'Rādīt pārbraucot attēlam (hover)';
+$lang['gally_interface_on_image_desc'] = 'Šī iepēja nosaka to, vai, ar peli pārbraucot attēlam (hover), rādīt interfeisu';
+$lang['gally_interface_on_image_always'] = 'Vienmēr';
+$lang['gally_interface_on_image_noscroll'] = 'Tikai tad, ja attēls nav platekrāna';
+$lang['gally_interface_on_image_never'] = 'Nekad';
+
+$lang['gally_image_interface_hidden'] = 'Rādīt ielādējot lapu';
+$lang['gally_image_interface_hidden_desc'] = 'Šī iespēja nosaka vai interfeiss jārāda katru reizi, kad tiek ielādēta lapa';
+$lang['gally_image_interface_hidden_no'] = 'Interfeiss ir redzams pie lapas ielādes';
+$lang['gally_image_interface_hidden_yes'] = 'Interfeiss nav redzams pie lapas ielādes, tas kļūs redzams pie pirmās darbības lapā';
+
+$lang['gally_interface_timer_delay'] = 'Taimauts';
+$lang['gally_interface_timer_delay_desc'] = 'Šī iespēja definē dīkstāves laiku, kas nepieciešams interfeisa paslēpšanai';
+
+$lang['gally_meta_num_cols'] = 'Metadatu apskate';
+$lang['gally_meta_num_cols_desc'] = 'Šī iepēja nosaka kolonu skaitu, kas nepieciešams metadatu attēlošanai';
+$lang['gally_columns'] = 'Kolonu skaits';
+
+$lang['gally_display_banner'] = 'Rādīt baneri';
+$lang['gally_display_banner_desc'] = 'Šī iespēja kontrolē, vai, apjūkojot attēlu, ir jārāda web lapas baneris';
+$lang['gally_display_banner_yes'] = 'Parādīt baneri';
+$lang['gally_display_banner_no'] = 'Nerādīt baneri';
+
+
+$lang['gally_image_auto_scroll'] = 'Panorāmveida attēlu pārvaldīšana';
+$lang['gally_image_auto_scroll_desc'] = 'Šī iespēja nosaka, kā rīkoties rādot platformāta attēlus';
+$lang['gally_image_auto_scroll_yes'] = 'Automātiskā attēla ritināšana zem kursora';
+$lang['gally_image_auto_scroll_no'] = 'Attēla manuāla ritināšana';
+$lang['gally_image_auto_scroll_warning'] = 'Interneta pārlūklos, kas ir vecāki par MS IE 8 versiju, šī funkcija ir automātiski atspējota';
+
+// v1.3.1
+$lang['gally_image_simulate_high_res'] = 'Simulē augstas izšķirtspējas platformāta attēlu klātbūtni';
+
+// v1.3.5
+$lang['gally_image_interface_can_switch']='Interfeisa rādīšanas režīms';
+$lang['gally_image_interface_can_switch_desc']='Šī iespēja nosaka, vai interfeiss tiek rādīts pastāvīgi, vai to var arī paslēpt';
+$lang['gally_image_interface_can_switch_yes']='Interfeiss ir redzams tikai pie noteiktiem nosacījumiem';
+$lang['gally_image_interface_can_switch_no']='Interfeiss ir vienmēr redzams';
+$lang['gally_display_banner_alternate'] = 'Rādīt alternatīvu baneri';
+$lang['gally_alternate_banner_content'] = 'Alternatīvā banera saturs:';
+
+
+?>