Index: /extensions/PersoFavicon/language/de_DE/description.txt
===================================================================
--- /extensions/PersoFavicon/language/de_DE/description.txt	(revision 7806)
+++ /extensions/PersoFavicon/language/de_DE/description.txt	(revision 7806)
@@ -0,0 +1,1 @@
+Ersetzen Sie den Piwigo Favicon mit einem eigenen Favicon im lokalen Verzeichnis.
Index: /extensions/PersoFavicon/language/de_DE/index.php
===================================================================
--- /extensions/PersoFavicon/language/de_DE/index.php	(revision 7806)
+++ /extensions/PersoFavicon/language/de_DE/index.php	(revision 7806)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoFavicon/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/PersoFavicon/language/de_DE/plugin.lang.php	(revision 7806)
+++ /extensions/PersoFavicon/language/de_DE/plugin.lang.php	(revision 7806)
@@ -0,0 +1,25 @@
+<?php
+
+//tab add
+$lang['pfi_h2'] = 'Perso Favicon Plugin';
+$lang['pfi_ajout'] = 'Einen Piktogramm hinzufügen';
+$lang['pfi_actu'] = 'Ein Piktogramm ist im lokalen Verzeichnis verfügbar : ';
+$lang['pfi_actu2'] = 'WARNUNG: Es wird von dem, welches Sie jetzt herunterladen, ersetzt.';
+$lang['pfi_validdef'] = 'Bestätigen Sie Ihre Wahl – Falls schon ein Favicon existiert, dann wird es überschrieben';
+$lang['pfi_select'] = 'Wählen Sie Ihre Piktogramm Datei (.ico) aus.';
+$lang['pfi_envoie'] = 'Laden Sie es auf den lokalen Verzeichnis hoch';
+$lang['pfi_erreur_ext'] = 'Sie müssen eine Datei des Typen .ico hochladen';
+$lang['pfi_erreur_taille'] = 'Die Piktogramm Datei darf maximal 5 Kb groß sein';
+$lang['pfi_erreur_exist'] = 'Die Datei wurde ersetzt';
+$lang['pfi_erreur_nom'] = 'Ungültiger Dateiname';
+$lang['pfi_erreur_vide'] = 'Die Datei wurde nicht gefunden';
+$lang['pfi_ok'] = 'Die Datei wurde hochgeladen';
+$lang['pfi_erreur_mouve'] = 'Kann Datei nicht in der "lokalen" Verzeichnis kopieren';
+
+//tab help
+$lang['help'] = 'Hilfe';
+$lang['pfi_aide1T'] = 'Form hinzufügen';
+$lang['pfi_aide1'] = 'Sie können das Formular benutzen um einen Favicon hinzuzufügen. Dieser wird automatisch in favicon.ico umbenannt und ersetzt den, welcher schon im lokalen Verzeichnis vorhanden sein mag.<br>Maximale Datei Größe 5kb.<br>Je nach Browser kann es eine gewisse Wartezeit dauern bis es angezeigt wird.';
+$lang['pfi_aide2T'] = '$conf[\'PersoFavicon\']';
+$lang['pfi_aide2'] = 'Falls Sie via FTP einen Piktogramm, welcher einen anderen Namen besitzt, hinzufügen können Sie in der lokalen Konfigurationsdatei folgendes hinzufügen: <br>$conf[\'PersoFavicon\']=\'Den Dateinamen\'';
+?>