Index: /extensions/event_cats/admin/autolog_new.inc.php
===================================================================
--- /extensions/event_cats/admin/autolog_new.inc.php	(revision 7809)
+++ /extensions/event_cats/admin/autolog_new.inc.php	(revision 7810)
@@ -118,8 +118,9 @@
     FROM `".IMAGE_CATEGORY_TABLE."`
   "))) == 0),
-  'month_list'             => $month_list, /*
+  'month_list'             => $month_list,
   'ec_current_day'         => intval(date('j')),
   'ec_current_month'       => intval(date('n')),
   'ec_current_year'        => intval(date('Y')),
+  'ec_current_time'        => date('H').":".date('i'), /*
   'ec_server_timestamp'    => date('H:i'), */
   'ec_ap_ok'               => defined('ADD_PAGES_TABLE'),
Index: /extensions/event_cats/admin/template/autolog_new.js
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.js	(revision 7809)
+++ /extensions/event_cats/admin/template/autolog_new.js	(revision 7810)
@@ -704,5 +704,5 @@
 }
 
-function ec_update_ts() {
+function ec_update_ts() { /*
   if (de('ec_valid_date_on_id').checked == '')
    de('ec_valid_date_on_id').checked = 'checked';
@@ -722,5 +722,5 @@
   // For tests purpose, must be removed
   de('ec_span_tst_id').innerHTML = 'valid_timestamp&nbsp;: ' + valid_timestamp;
-  // For tests purpose, must be removed
+  // For tests purpose, must be removed */
 }
 
Index: /extensions/event_cats/admin/template/autolog_new.tpl
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.tpl	(revision 7809)
+++ /extensions/event_cats/admin/template/autolog_new.tpl	(revision 7810)
@@ -316,5 +316,5 @@
       <tr>
         <td style="vertical-align:top; margin-top:0;">
-          <p style = "text-align:left; margin-bottom:0.5em;">
+          <p style = "text-align: left; padding-bottom: 1em; padding-top: 0; margin-top: 0pt;">
             <label for = "ec_valid_date_on_id">
               <input type = "checkbox" name = "ec_valid_date_on" id = "ec_valid_date_on_id">
@@ -323,21 +323,21 @@
           </p>
           <p style = "text-align:left;">
-            <select id = "ec_validity_day_id" name = "ec_validity_day" onchange = "ec_update_ts();">
-              <option value = "0">--</option>
+            <input id = "ec_date_today_btn_id" type = "button" value = "Aujourd'hui" onclick = "">
+          </p>
+          <p style = "text-align:left;">
+            <select id = "ec_validity_day_id" name = "ec_validity_day" {* onchange = "ec_update_ts();" *} >
+              <option value = "0">——</option>
               {section name=day start=1 loop=32}
-                <option value = "{$smarty.section.day.index}">
+                <option value = "{$smarty.section.day.index}" {if $smarty.section.day.index == 14} selected = "selected" {/if} >
                   {$smarty.section.day.index}
                 </option>
               {/section}
             </select>
-            <select id = "ec_validity_month_id" name = "ec_validity_month" onchange = "ec_update_ts();">
-              {html_options options=$month_list}
+            <select id = "ec_validity_month_id" name = "ec_validity_month" {* onchange = "ec_update_ts();" *} >
+              {html_options options=$month_list selected=11}
             </select>
-            <input id = "ec_validity_year_id" name = "ec_validity_year" type = "text" size = "4" maxlength = "4" value = "" onchange = "ec_update_ts();">
-            <input id = "ec_validity_time_id" name = "ec_validity_time" type = "text" size = "5" maxlength = "5" value = "" onchange = "ec_update_ts();">
-            
-            {* <!-- ec_linked_date_id représente la date indiquée par les listes déroulantes, et permet de limiter
-                    le choix dans la date, en l'occurrence à des dates uniquement postérieures (grâce au 6° paramètre de pwg_initialization_datepicker) --> *}
-            <input id = "ec_linked_date_id" name = "ec_linked_date" type = "hidden" size = "10" disabled = "disabled">
+            <input id = "ec_validity_year_id" name = "ec_validity_year" type = "text" size = "4" maxlength = "4" value = "2010" {* onchange = "ec_update_ts();" *} >
+            <input id = "ec_validity_time_id" name = "ec_validity_time" type = "text" size = "5" maxlength = "5" value = "22:50" {* onchange = "ec_update_ts();" *} >
+            <input id = "ec_linked_date_id" name = "ec_linked_date_id" type = "hidden" size = "10" disabled = "disabled">
           </p>
           <p style = "text-align:left;">
@@ -353,6 +353,7 @@
             </select>
           </p>
-          <p style = "text-align:left;">
-            <input id = "ec_date_today_btn_id" type = "button" value = "Aujourd'hui" onclick = "">
+          <p style = "display:none;">
+            <!-- jQuery datepicker : voir http://fr.piwigo.org/forum/viewtopic.php?id=19042 -->
+            <input id = "ec_min_date_id" name = "ec_min_date_id" type = "hidden" size = "10" disabled = "disabled">
           </p>
           {* <!-- For tests purpose ; must be removed --> *}
@@ -367,23 +368,32 @@
             <tr>
               <td style = "text-align:right; vertical-align:top; font-weight:bold; padding-right:1em;">
-                Page à utiliser après que le code a expiré&nbsp;:
+                Page à utiliser après&nbsp;<br>
+                expiration du code&nbsp;:&nbsp;
               </td>
               <td style = "text-align:left;">
-                <label for = "ec_date_unknown_0_id">
-                  <input type = "radio" name = "ec_date_unknown" value = "0" id = "ec_date_unknown_0_id">
-                  {'Home'|@translate}
-                </label><br>
-                <label for = "ec_date_unknown_1_id">
-                  <input type = "radio" name = "ec_date_unknown" value = "1" id = "ec_date_unknown_1_id">
-                  {'Access denied'|@translate}
-                </label><br>
-                {* <!-- Additionnal Page, provided the plugin is activated and at least one Add. P. is available --> *}
-                <label class = "ec_date_block" for = "ec_date_in_up_aps_id" {if !$ec_ap_ok or count($ec_lists.add_pages) == 0} style = "display:none;" {/if} >
-                  <input type = "radio" name = "ec_date_unknown" value = "2" id = "ec_date_unknown_2_id">
-                  {'Additional Page'|@translate}<br>
-                  <select class = "categoryList" name = "ec_date_in_up_aps" size = "30" id = "ec_date_in_up_aps_id" >
-                    {html_options options = $ec_lists.add_pages}
-                  </select>
-                </label>
+                <ul style = "list-style-type:none; list-style-position:inside;">
+                  <li style = "margin-bottom:0;">
+                    <label for = "ec_date_unknown_0_id">
+                      <input type = "radio" name = "ec_date_unknown" value = "0" id = "ec_date_unknown_0_id">
+                      {'Home'|@translate}
+                    </label>
+                  </li>
+                  <li style = "margin-bottom:0;">
+                    <label for = "ec_date_unknown_1_id">
+                      <input type = "radio" name = "ec_date_unknown" value = "1" id = "ec_date_unknown_1_id">
+                      {'Access denied'|@translate}
+                    </label>
+                  </li>
+                  {* <!-- Additionnal Page, provided the plugin is activated and at least one Add. P. is available --> *}
+                  <li {if !$ec_ap_ok or count($ec_lists.add_pages) == 0} style = "display:none;" {else} style = "margin-bottom:0;" {/if} >
+                    <label class = "ec_date_block" for = "ec_date_in_up_aps_id">
+                      <input type = "radio" name = "ec_date_unknown" value = "2" id = "ec_date_unknown_2_id">
+                      {'Additional Page'|@translate}<br>
+                      <select class = "categoryList" name = "ec_date_in_up_aps" size = "30" id = "ec_date_in_up_aps_id" >
+                        {html_options options = $ec_lists.add_pages}
+                      </select>
+                    </label>
+                  </li>
+                </ul>
               </td>
             </tr>
@@ -406,4 +416,8 @@
 <script type = "text/javascript" src = "{$RACINE_URL}{$EVNTCATS_PATH}admin/template/autolog_new.js"></script>
 <script type = "text/javascript"><!--
+  pwg_initialization_datepicker("#ec_validity_day_id", "#ec_validity_month_id",
+   "#ec_validity_year_id", "#ec_min_date_id", null, null, null);
+  pwg_initialization_datepicker("#ec_validity_day_id", "#ec_validity_month_id",
+   "#ec_validity_year_id", "#ec_linked_date_id", null, "#ec_min_date_id", null);
   ec_is_creation                          = {if $ec_is_creation}true{else}false{/if};
   ec_validity_on                          = {if $ec_validity_on}true{else}false{/if};
@@ -439,6 +453,4 @@
   {/foreach}
   ec_build_ec_lists();
-  pwg_initialization_datepicker("#ec_validity_day_id", "#ec_validity_month_id",
-   "#ec_validity_year_id", "#ec_linked_date_id", null, "#ec_linked_date_id");
   ec_init();
   //-->