Index: /extensions/event_cats/admin/config.inc.php
===================================================================
--- /extensions/event_cats/admin/config.inc.php	(revision 7810)
+++ /extensions/event_cats/admin/config.inc.php	(revision 7811)
@@ -54,5 +54,5 @@
   sprintf(
     l10n('Register replacement'),
-    '&nbsp;&nbsp;<br>', // nicer line feed
+    '<br>',
     $lang['Register'],
     $lang['Duplicate']
@@ -64,5 +64,5 @@
   sprintf(
     l10n('Display connection'),
-    '&nbsp;&nbsp;<br>', // nicer line feed
+    '<br>',
     (version_compare(PHPWG_VERSION, '2.1.0', '<')) ?
      $lang['Connection'] : $lang['Login']
Index: /extensions/event_cats/admin/duplication.inc.php
===================================================================
--- /extensions/event_cats/admin/duplication.inc.php	(revision 7810)
+++ /extensions/event_cats/admin/duplication.inc.php	(revision 7811)
@@ -58,5 +58,5 @@
   sprintf(
     l10n('Register replacement'),
-    '&nbsp;&nbsp;<br>', // nicer line feed
+    '<br>',
     $lang['Register'],
     $lang['Duplicate']
Index: /extensions/event_cats/admin/template/autolog_new.tpl
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.tpl	(revision 7810)
+++ /extensions/event_cats/admin/template/autolog_new.tpl	(revision 7811)
@@ -310,4 +310,16 @@
   
   {* <!-- Validity date --> *}
+  
+  {*
+    <!--
+      Next steps:
+        _ check if initialize validity date with JS is doable ;
+        _ check if ' onchange = "ec_update_ts();" ' can be used ;
+        _ implement JS ;
+        _ implement PHP ;
+        _ commit, and drink a pint!
+    -->
+  *}
+  
   <fieldset>
     <legend style = "font-weight:bold;">Date de validité</legend>
@@ -363,14 +375,14 @@
           {* <!-- /For tests purpose ; must be removed --> *}
         </td>
-        
+        <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> {* <!-- sorry :-\ --> *}
         <td>
           <table>
             <tr>
-              <td style = "text-align:right; vertical-align:top; font-weight:bold; padding-right:1em;">
-                Page à utiliser après&nbsp;<br>
-                expiration du code&nbsp;:&nbsp;
+              <td style = "text-align:right; vertical-align:top; font-weight:bold;">
+                Page à utiliser après<br>
+                expiration du code
               </td>
               <td style = "text-align:left;">
-                <ul style = "list-style-type:none; list-style-position:inside;">
+                <ul style = "list-style-type:none; list-style-position:inside; padding-left: 0.5em;">
                   <li style = "margin-bottom:0;">
                     <label for = "ec_date_unknown_0_id">
Index: /extensions/event_cats/admin/template/config.tpl
===================================================================
--- /extensions/event_cats/admin/template/config.tpl	(revision 7810)
+++ /extensions/event_cats/admin/template/config.tpl	(revision 7811)
@@ -43,56 +43,72 @@
       <tr>
         <td style = "text-align:right; font-weight:bold;">
-          {'Duplication allowance'|@translate}&nbsp;&nbsp;
-        </td>
-        <td>
-          <label for = "ec_dup_conf_none_id">
-            <input
-              type = "radio" name = "ec_dup_conf" value = "0" id = "ec_dup_conf_none_id"
-              {if $ec_conf.dup_allow == '0'} checked = "checked" {/if}
-           >
-            {'No account'|@translate}
-          </label><br>
-          <label for = "ec_dup_conf_group_id">
-            <input
-              type = "radio" name = "ec_dup_conf" value = "2" id = "ec_dup_conf_group_id"
-              {if $ec_conf.dup_allow == '2'} checked = "checked" {/if}
-           >
-            {'Selection per group'|@translate}
-          </label><br>
-          <label for = "ec_dup_conf_all_id">
-            <input
-              type = "radio" name = "ec_dup_conf" value = "1" id = "ec_dup_conf_all_id"
-              {if $ec_conf.dup_allow == '1'} checked = "checked" {/if}
-           >
-            {'All accounts'|@translate}
-          </label>
+          {'Duplication allowance'|@translate}
+        </td>
+        <td>
+          <ul style = "list-style-type:none; list-style-position:inside; padding-left: 0.5em;">
+            <li style = "margin-bottom:0;">
+              <label for = "ec_dup_conf_none_id">
+                <input
+                  type = "radio" name = "ec_dup_conf" value = "0" id = "ec_dup_conf_none_id"
+                  {if $ec_conf.dup_allow == '0'} checked = "checked" {/if}
+               >
+                {'No account'|@translate}
+              </label>
+            </li>
+            <li style = "margin-bottom:0;">
+              <label for = "ec_dup_conf_group_id">
+                <input
+                  type = "radio" name = "ec_dup_conf" value = "2" id = "ec_dup_conf_group_id"
+                  {if $ec_conf.dup_allow == '2'} checked = "checked" {/if}
+               >
+                {'Selection per group'|@translate}
+              </label>
+            </li>
+            <li style = "margin-bottom:0;">
+              <label for = "ec_dup_conf_all_id">
+                <input
+                  type = "radio" name = "ec_dup_conf" value = "1" id = "ec_dup_conf_all_id"
+                  {if $ec_conf.dup_allow == '1'} checked = "checked" {/if}
+               >
+                {'All accounts'|@translate}
+              </label>
+            </li>
+          </ul>
         </td>
         <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> {* <!-- sorry :-\ --> *}
-        <td style = "text-align:right; font-weight:bold;">
+        <td style = "text-align:right; font-weight:bold;"> <!-- id = "Replace "Register" link ?" -->
           {* <!-- Replace "Register" link ? --> *}
-          {$ec_dup_link_conf}&nbsp;&nbsp;
-        </td>
-        <td>
-          <label for = "ec_dup_disp_normal_id">
-            <input
-              type = "radio" name = "ec_dup_disp" value = "0" id = "ec_dup_disp_normal_id"
-              {if $ec_conf.duplic_display == '0'} checked = "checked" {/if}
-           >
-            {'No account'|@translate}
-          </label><br>
-          <label for = "ec_dup_disp_but_gen_id">
-            <input
-              type = "radio" name = "ec_dup_disp" value = "2" id = "ec_dup_disp_but_gen_id"
-              {if $ec_conf.duplic_display == '2'} checked = "checked" {/if}
-           >
-            {'All but generics'|@translate}
-          </label><br>
-          <label for = "ec_dup_disp_dup_id">
-            <input
-              type = "radio" name = "ec_dup_disp" value = "1" id = "ec_dup_disp_dup_id"
-              {if $ec_conf.duplic_display == '1'} checked = "checked" {/if}
-           >
-            {'All accounts'|@translate}
-          </label><br>
+          {$ec_dup_link_conf}
+        </td>
+        <td>
+          <ul style = "list-style-type:none; list-style-position:inside; padding-left: 0.5em;">
+            <li style = "margin-bottom:0;">
+              <label for = "ec_dup_disp_normal_id">
+                <input
+                  type = "radio" name = "ec_dup_disp" value = "0" id = "ec_dup_disp_normal_id"
+                  {if $ec_conf.duplic_display == '0'} checked = "checked" {/if}
+               >
+                {'No account'|@translate}
+              </label>
+            </li>
+            <li style = "margin-bottom:0;">
+              <label for = "ec_dup_disp_but_gen_id">
+                <input
+                  type = "radio" name = "ec_dup_disp" value = "2" id = "ec_dup_disp_but_gen_id"
+                  {if $ec_conf.duplic_display == '2'} checked = "checked" {/if}
+               >
+                {'All but generics'|@translate}
+              </label>
+            </li>
+            <li style = "margin-bottom:0;">
+              <label for = "ec_dup_disp_dup_id">
+                <input
+                  type = "radio" name = "ec_dup_disp" value = "1" id = "ec_dup_disp_dup_id"
+                  {if $ec_conf.duplic_display == '1'} checked = "checked" {/if}
+               >
+                {'All accounts'|@translate}
+              </label>
+            </li>
+          </ul>
         </td>
       </tr>
@@ -105,25 +121,31 @@
       <tr>
         <td style = "text-align:right; vertical-align:top; font-weight:bold;">
-          {'Page for unknown code'|@translate}&nbsp;&nbsp;
-        </td>
-        <td>
-          <label for = "ec_unknown_0_id" onclick = "ec_mark_action('ec_unknown_0_id');">
-            <input type = "radio" name = "ec_unknown" value = "0" id = "ec_unknown_0_id">
-            {'Home'|@translate}
-          </label><br>
-          <label for = "ec_unknown_1_id" onclick = "ec_mark_action('ec_unknown_1_id');">
-            <input type = "radio" name = "ec_unknown" value = "1" id = "ec_unknown_1_id">
-            {'Access denied'|@translate}
-          </label><br>
-          {* <!-- Additionnal Page, provided the plugin is activated and at least one Add. P. is available --> *}
-          <label class = "ec_block" for = "ec_in_up_aps_id" onclick = "ec_mark_action('ec_unknown_2_id');"
-           {if !$ec_ap_ok or count($add_pages) == 0} style = "display:none;" {/if}
-          >
-            <input type = "radio" name = "ec_unknown" value = "2" id = "ec_unknown_2_id">
-            {'Additional Page'|@translate}<br>
-            <select class = "categoryList" name = "ec_in_up_aps" size="30" id = "ec_in_up_aps_id" onchange = "ec_selected_AP = this.value;" >
-              {html_options options=$add_pages}
-            </select>
-          </label>
+          {'Page for unknown code'|@translate}
+        </td>
+        <td>
+          <ul style = "list-style-type:none; list-style-position:inside; padding-left: 0.5em;">
+            <li style = "margin-bottom:0;">
+              <label for = "ec_unknown_0_id" onclick = "ec_mark_action('ec_unknown_0_id');">
+                <input type = "radio" name = "ec_unknown" value = "0" id = "ec_unknown_0_id">
+                {'Home'|@translate}
+              </label>
+            </li>
+            <li style = "margin-bottom:0;">
+              <label for = "ec_unknown_1_id" onclick = "ec_mark_action('ec_unknown_1_id');">
+                <input type = "radio" name = "ec_unknown" value = "1" id = "ec_unknown_1_id">
+                {'Access denied'|@translate}
+              </label>
+            </li>
+            <li {if !$ec_ap_ok or count($add_pages) == 0} style = "display:none;" {else} style = "margin-bottom:0;" {/if}>
+              {* <!-- Additionnal Page, provided the plugin is activated and at least one Add. P. is available --> *}
+              <label class = "ec_block" for = "ec_in_up_aps_id" onclick = "ec_mark_action('ec_unknown_2_id');">
+                <input type = "radio" name = "ec_unknown" value = "2" id = "ec_unknown_2_id">
+                {'Additional Page'|@translate}<br>
+                <select class = "categoryList" name = "ec_in_up_aps" size="30" id = "ec_in_up_aps_id" onchange = "ec_selected_AP = this.value;" >
+                  {html_options options=$add_pages}
+                </select>
+              </label>
+            </li>
+          </ul>
         </td>
       </tr>
@@ -136,54 +158,73 @@
       <tr>
         <td style = "text-align:right; font-weight:bold;">
-          {'Comments display'|@translate}&nbsp;&nbsp;
-        </td>
-        <td>
-          <label for = "ec_comments_0_id">
-            <input type = "radio" name = "ec_comments" value = "0" id = "ec_comments_0_id"
-              {if $ec_conf.comment_display == '0'} checked = "checked" {/if}
-           >
-            {'As tooltip'|@translate}
-          </label><br>
-          <label for = "ec_comments_1_id">
-            <input type = "radio" name = "ec_comments" value = "1" id = "ec_comments_1_id"
-              {if $ec_conf.comment_display == '1'} checked = "checked" {/if}
-           >
-            {'In a row'|@translate}
-          </label>
+          {'Comments display'|@translate}
+        </td>
+        <td>
+          <ul style = "list-style-type:none; list-style-position:inside; padding-left: 0.5em;">
+            <li style = "margin-bottom:0;">
+              <label for = "ec_comments_0_id">
+                <input type = "radio" name = "ec_comments" value = "0" id = "ec_comments_0_id"
+                  {if $ec_conf.comment_display == '0'} checked = "checked" {/if}
+               >
+                {'As tooltip'|@translate}
+              </label>
+            </li>
+            <li style = "margin-bottom:0;">
+              <label for = "ec_comments_1_id">
+                <input type = "radio" name = "ec_comments" value = "1" id = "ec_comments_1_id"
+                  {if $ec_conf.comment_display == '1'} checked = "checked" {/if}
+               >
+                {'In a row'|@translate}
+              </label>
+            </li>
+          </ul>
         </td>
         <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> {* <!-- sorry :-\ --> *}
         <td style = "text-align:right; font-weight:bold;">
-          {'Help banner'|@translate}&nbsp;&nbsp;
-        </td>
-        <td>
-          <label for = "ec_2help_banner_1_id">
-            <input type = "radio" name = "ec_help_banner_onoff2" value = "1" id = "ec_2help_banner_1_id"
-              onclick = "ec_mark_help('ec_help_banner_1');"
-           >
-            {'Banner on'|@translate}
-          </label><br>
-          <label for = "ec_2help_banner_0_id">
-            <input type = "radio" name = "ec_help_banner_onoff2" value = "0" id = "ec_2help_banner_0_id"
-              onclick = "ec_mark_help('ec_help_banner_0');"
-           >
-            {'Banner off'|@translate}
-          </label>
+          {'Help banner'|@translate}
+        </td>
+        <td>
+          <ul style = "list-style-type:none; list-style-position:inside; padding-left: 0.5em;">
+            <li style = "margin-bottom:0;">
+              <label for = "ec_2help_banner_1_id">
+                <input type = "radio" name = "ec_help_banner_onoff2" value = "1" id = "ec_2help_banner_1_id"
+                  onclick = "ec_mark_help('ec_help_banner_1');"
+               >
+                {'Banner on'|@translate}
+              </label>
+            </li>
+            <li style = "margin-bottom:0;">
+              <label for = "ec_2help_banner_0_id">
+                <input type = "radio" name = "ec_help_banner_onoff2" value = "0" id = "ec_2help_banner_0_id"
+                  onclick = "ec_mark_help('ec_help_banner_0');"
+               >
+                {'Banner off'|@translate}
+              </label>
+            </li>
+          </ul>
+        </td>
         <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> {* <!-- sorry :-\ --> *}
         <td style = "text-align:right; font-weight:bold;">
-          {$ec_display_connect_conf}&nbsp;&nbsp;
-        </td>
-        <td>
-          <label for = "ec_connection_1_id">
-            <input type = "radio" name = "ec_connection" value = "1" id = "ec_connection_1_id"
-              {if $ec_conf.display_connection == '1'} checked = "checked" {/if}
-           >
-            {'Yes'|@translate}
-          </label><br>
-          <label for = "ec_connection_0_id">
-            <input type = "radio" name = "ec_connection" value = "0" id = "ec_connection_0_id"
-              {if $ec_conf.display_connection == '0'} checked = "checked" {/if}
-           >
-            {'No'|@translate}
-          </label>
+          {$ec_display_connect_conf}
+        </td>
+        <td>
+          <ul style = "list-style-type:none; list-style-position:inside; padding-left: 0.5em;">
+            <li style = "margin-bottom:0;">
+              <label for = "ec_connection_1_id">
+                <input type = "radio" name = "ec_connection" value = "1" id = "ec_connection_1_id"
+                  {if $ec_conf.display_connection == '1'} checked = "checked" {/if}
+               >
+                {'Yes'|@translate}
+              </label>
+            </li>
+            <li style = "margin-bottom:0;">
+              <label for = "ec_connection_0_id">
+                <input type = "radio" name = "ec_connection" value = "0" id = "ec_connection_0_id"
+                  {if $ec_conf.display_connection == '0'} checked = "checked" {/if}
+               >
+                {'No'|@translate}
+              </label>
+            </li>
+          </ul>
         </td>
     </table>
Index: /extensions/event_cats/admin/template/duplication.tpl
===================================================================
--- /extensions/event_cats/admin/template/duplication.tpl	(revision 7810)
+++ /extensions/event_cats/admin/template/duplication.tpl	(revision 7811)
@@ -34,55 +34,71 @@
       <tr>
         <td style = "text-align:right; font-weight:bold;">
-          {'Duplication allowance'|@translate}&nbsp;&nbsp;
+          {'Duplication allowance'|@translate}
         </td>
         <td>
-          <label for = "ec_dup_conf_none_id">
-            <input
-              type = "radio" name = "ec_dup_conf" value = "0" id = "ec_dup_conf_none_id"
-              {if $ec_conf.dup_allow == '0'} checked = "checked" {/if}
-           >
-            {'No account'|@translate}
-          </label><br>
-          <label for = "ec_dup_conf_group_id">
-            <input
-              type = "radio" name = "ec_dup_conf" value = "2" id = "ec_dup_conf_group_id"
-              {if $ec_conf.dup_allow == '2'} checked = "checked" {/if}
-           >
-            {'Selection per group'|@translate}
-          </label><br>
-          <label for = "ec_dup_conf_all_id">
-            <input
-              type = "radio" name = "ec_dup_conf" value = "1" id = "ec_dup_conf_all_id"
-              {if $ec_conf.dup_allow == '1'} checked = "checked" {/if}
-           >
-            {'All accounts'|@translate}
-          </label>
+          <ul style = "list-style-type:none; list-style-position:inside; padding-left: 0.5em;">
+            <li style = "margin-bottom:0;">
+              <label for = "ec_dup_conf_none_id">
+                <input
+                  type = "radio" name = "ec_dup_conf" value = "0" id = "ec_dup_conf_none_id"
+                  {if $ec_conf.dup_allow == '0'} checked = "checked" {/if}
+               >
+                {'No account'|@translate}
+              </label>
+            </li>
+            <li style = "margin-bottom:0;">
+              <label for = "ec_dup_conf_group_id">
+                <input
+                  type = "radio" name = "ec_dup_conf" value = "2" id = "ec_dup_conf_group_id"
+                  {if $ec_conf.dup_allow == '2'} checked = "checked" {/if}
+               >
+                {'Selection per group'|@translate}
+              </label>
+            </li>
+            <li style = "margin-bottom:0;">
+              <label for = "ec_dup_conf_all_id">
+                <input
+                  type = "radio" name = "ec_dup_conf" value = "1" id = "ec_dup_conf_all_id"
+                  {if $ec_conf.dup_allow == '1'} checked = "checked" {/if}
+               >
+                {'All accounts'|@translate}
+              </label>
+            </li>
+          </ul>
         </td>
         <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> {* <!-- sorry :-\ --> *}
         <td style = "text-align:right; font-weight:bold;">
-          {$ec_dup_link_conf}&nbsp;&nbsp;
+          {$ec_dup_link_conf}
         </td>
         <td>
-          <label for = "ec_dup_disp_normal_id">
-            <input
-              type = "radio" name = "ec_dup_disp" value = "0" id = "ec_dup_disp_normal_id"
-              {if $ec_conf.duplic_display == '0'} checked = "checked" {/if}
-           >
-            {'No account'|@translate}
-          </label><br>
-          <label for = "ec_dup_disp_but_gen_id">
-            <input
-              type = "radio" name = "ec_dup_disp" value = "2" id = "ec_dup_disp_but_gen_id"
-              {if $ec_conf.duplic_display == '2'} checked = "checked" {/if}
-           >
-            {'All but generics'|@translate}
-          </label><br>
-          <label for = "ec_dup_disp_dup_id">
-            <input
-              type = "radio" name = "ec_dup_disp" value = "1" id = "ec_dup_disp_dup_id"
-              {if $ec_conf.duplic_display == '1'} checked = "checked" {/if}
-           >
-            {'All accounts'|@translate}
-          </label><br>
+          <ul style = "list-style-type:none; list-style-position:inside; padding-left: 0.5em;">
+            <li style = "margin-bottom:0;">
+              <label for = "ec_dup_disp_normal_id">
+                <input
+                  type = "radio" name = "ec_dup_disp" value = "0" id = "ec_dup_disp_normal_id"
+                  {if $ec_conf.duplic_display == '0'} checked = "checked" {/if}
+               >
+                {'No account'|@translate}
+              </label>
+            </li>
+            <li style = "margin-bottom:0;">
+              <label for = "ec_dup_disp_but_gen_id">
+                <input
+                  type = "radio" name = "ec_dup_disp" value = "2" id = "ec_dup_disp_but_gen_id"
+                  {if $ec_conf.duplic_display == '2'} checked = "checked" {/if}
+               >
+                {'All but generics'|@translate}
+              </label>
+            </li>
+            <li style = "margin-bottom:0;">
+              <label for = "ec_dup_disp_dup_id">
+                <input
+                  type = "radio" name = "ec_dup_disp" value = "1" id = "ec_dup_disp_dup_id"
+                  {if $ec_conf.duplic_display == '1'} checked = "checked" {/if}
+               >
+                {'All accounts'|@translate}
+              </label>
+            </li>
+          </ul>
         </td>
       </tr>
Index: /extensions/event_cats/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/en_UK/plugin.lang.php	(revision 7810)
+++ /extensions/event_cats/language/en_UK/plugin.lang.php	(revision 7811)
@@ -89,5 +89,5 @@
 $lang['All accounts']              = 'All accounts';
 $lang['Register replacement']      = 'Register link :%1$s for all accounts that can be duplicated,%1$s replace "%2$s" with "%3$s"';
-                                 // %1$s : nice line feed ; %2$s : "register" ; %3$s : "duplicate"
+                                 // %1$s : line feed ; %2$s : "register" ; %3$s : "duplicate"
 $lang['All but generics']          = 'All accounts but generic ones';
 $lang['Duplication allowed']       = 'Duplication allowed';
@@ -114,5 +114,5 @@
 $lang['Banner off']                = 'Desactivated';
 $lang['Display connection']        = 'Display "%2$s" link%1$s to generic users';
-                                 // %1$s : nice line feed ; %2$s : "Connection"
+                                 // %1$s : line feed ; %2$s : "Connection"
 
 // JS messages
Index: /extensions/event_cats/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 7810)
+++ /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 7811)
@@ -89,5 +89,5 @@
 $lang['All accounts']              = 'Tous les comptes';
 $lang['Register replacement']      = 'Affichage du lien d\'enregistrement :%1$s pour les comptes pouvant être dupliqués,%1$s remplacer "%2$s" par "%3$s"';
-                                 // %1$s : nice line feed ; %2$s : "register" ; %3$s : "duplicate"
+                                 // %1$s : line feed ; %2$s : "register" ; %3$s : "duplicate"
 $lang['All but generics']          = 'Tous les comptes sauf les génériques';
 $lang['Duplication allowed']       = 'Duplication autorisée';
@@ -114,5 +114,5 @@
 $lang['Banner off']                = 'Désactivé';
 $lang['Display connection']        = 'Afficher le lien "%2$s"%1$s pour les utilisateurs génériques';
-                                 // %1$s : nice line feed ; %2$s : "Connection"
+                                 // %1$s : line feed ; %2$s : "Connection"
 
 // JS messages