Index: /extensions/piwishack/language/lv_LV/description.txt
===================================================================
--- /extensions/piwishack/language/lv_LV/description.txt	(revision 7812)
+++ /extensions/piwishack/language/lv_LV/description.txt	(revision 7812)
@@ -0,0 +1,1 @@
+Formatētu saišu saraksta rādījums, kas ļauj skatīt Jūsu attēlus web lapās / blogos / forumos.
Index: /extensions/piwishack/language/lv_LV/index.php
===================================================================
--- /extensions/piwishack/language/lv_LV/index.php	(revision 7812)
+++ /extensions/piwishack/language/lv_LV/index.php	(revision 7812)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piwishack/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/lv_LV/plugin.lang.php	(revision 7812)
+++ /extensions/piwishack/language/lv_LV/plugin.lang.php	(revision 7812)
@@ -0,0 +1,36 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['open_window_piwishack']         = 'Atvert logu PiwiShack';
+$lang['close_window_piwishack']     = 'Aizvert logu PiwiShack';
+$lang['Partage_me']                 = 'Dalities (share) ar attelu.';
+$lang['text_intro_thumbnail']         = 'Radit sikbildi.';
+$lang['Post_on_a_website_d']         = 'Dalities ar sikbildem (klikkinamas)lapas. HTML iezimes.';
+$lang['Post_on_a_forum']             = 'Dalities ar sikbildem (klikkinamas) forumos. BBcode iezimes.';
+$lang['text_intro_normal_view']     = 'Skatities normalskata.';
+$lang['Post_on_a_website_dd']         = 'Dalities ar normalskata (klikkinamas)web lapam, HTML iezimes.';
+$lang['Post_a_direct_link']         = 'Tiesaite uz jusu failu.';
+$lang['Export_Perso_configurated']     = 'Dalities (share) ar Jusu attelu, pamatojoties uz iepriekdefinetiem nosacijumiem.';
+$lang['Perso_writer_01']             = 'Klienta formatejums, lauks #1';
+$lang['Perso_writer_02']             = 'Klienta formatejums, lauks #2';
+$lang['Perso_writer_03']             = 'Klienta formatejums, lauks #3';
+$lang['Perso_writer_04']             = 'Klienta formatejums, lauks #4';
+$lang['Perso_writer_05']             = 'Klienta formatejums, lauks #5';
+?>