Index: /extensions/autoupdate/trunk/language/lv_LV/description.txt
===================================================================
--- /extensions/autoupdate/trunk/language/lv_LV/description.txt	(revision 7813)
+++ /extensions/autoupdate/trunk/language/lv_LV/description.txt	(revision 7813)
@@ -0,0 +1,1 @@
+Atjaunina Jūsu galeriju automātiski.
Index: /extensions/autoupdate/trunk/language/lv_LV/index.php
===================================================================
--- /extensions/autoupdate/trunk/language/lv_LV/index.php	(revision 7813)
+++ /extensions/autoupdate/trunk/language/lv_LV/index.php	(revision 7813)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/autoupdate/trunk/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/autoupdate/trunk/language/lv_LV/plugin.lang.php	(revision 7813)
+++ /extensions/autoupdate/trunk/language/lv_LV/plugin.lang.php	(revision 7813)
@@ -0,0 +1,40 @@
+<?php
+
+$lang['Click here to upgrade automatically'] = 'Klikšķiniet te, lai automātiski atjauninātu';
+$lang['autoupdate_alert'] = 'Vai esat pārliecināti, ka vēlaties automātiski atjaunināt?\nBrīdinājums!!! Manuāli modoficētie faili tiks pārrakstīti.';
+$lang['autoupdate_success'] = 'Piwigo ir sekmīgi atjaunināts (versija %s)';
+$lang['autoupdate_fail'] = 'Atjauninot notikusi kļūme.';
+
+$lang['autoupdate_extract_fail'] = 'Atpakošanas laikā notikusi kļūme. Pārbaudiet Jūsu piwigo instalācijas failu atļaujas.<br><a href="%s">Spiest te, lai redzētu log kļūdas</a>.';
+
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo nevar ielādēt jauninājuma failu no servera';
+$lang['Click here to see Piwigo %s release notes'] = 'Spiest te, lai lai aplūkotu Piwigo %s laidiena piezīmes';
+$lang['Some upgrades are available for you plugins'] = 'Ir pieejami jauninājumi dažiem Jūsu spraudņiem';
+$lang['Click here see upgrade plugins page'] = 'Spiest te, lai skatītu spraudņu jauninājumu lapu';
+$lang['Gallery and plugins are up to date'] = 'Galerija un spraudņi ir aktuāli (up to date)';
+$lang['Unable to check upgrades...'] = 'Neiespējami pārbaudīt jauninājumus...';
+$lang['Click here to check upgrades now'] = 'Spiest te, lai pārbaudītu jauninājumus tūlīt';
+
+$lang['Notify on admin homepage'] = 'Paziņojums administrācijas lapā';
+$lang['Don\'t notify on admin homepage'] = 'Nepaziņot administrācijas lapā';
+
+$lang['Upgrade in progress... Please wait.'] = 'Notiek jaunināšana... Lūdzu uzgaidiet.';
+$lang['Checking upgrades for gallery and plugins...'] = 'Galerijas un spraudņu jauninājumu pārbaude...';
+
+$lang['Upgrade to Piwigo %s'] = 'Jaunināt uz Piwigo %s';
+$lang['Two upgrades are available'] = 'Pieejami divi jauninājumi';
+$lang['This is a minor upgrade, with only bug corrections.'] = 'Šis ir minimālais jauninājums, tikai ar dažu kķūmju labojumiem.';
+$lang['This is a major upgrade, with <a href="%s">new exciting features</a>.'] = 'Šis ir lielais jauninājums, ar <a href="%s">jaunām aplikācijas funkcionālām iespējām</a>.';
+$lang['Some themes and plugins may be not available yet.'] = 'Daži spraudņi un tēmas vēl nav pieejamas.';
+$lang['You can upgrade to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Jūs varat jaunināt Piwigo uz %s tieši, nejauninot uz Piwigo %s (ieteicams).';
+$lang['autoupdate_step_1'] = 'Pirmais Solis';
+$lang['autoupdate_step_2'] = 'Otrais Solis';
+$lang['autoupdate_step_3'] = 'Trešais Solis';
+$lang['Save Template Directory'] = 'Saglabāt paraugmapi (template)';
+$lang['Dump Database'] = 'Datubāzes damps (dump)';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Ietverot datus pār vēsturi (Brīdinājums: var tikt pārsniegts servera atmiņas limits)';
+$lang['Unable to write new local directory.'] = 'Nevar ierakstīt jaunā lokālā mapē.';
+$lang['Unable to send template directory.'] = 'Nevar nosūtīt paraugmapi.';
+$lang['Unable to dump database.'] = 'Nevar izveidot datubāzes dampu.';
+
+?>