Index: /trunk/popuphelp.php
===================================================================
--- /trunk/popuphelp.php	(revision 7822)
+++ /trunk/popuphelp.php	(revision 7823)
@@ -37,5 +37,5 @@
 $page['body_id'] = 'thePopuphelpPage';
 $title = l10n('Piwigo Help');
-$page['page_banner'] = '<h1>'.$title.'</h1>';
+$page['page_banner'] = '';
 $page['meta_robots']=array('noindex'=>1, 'nofollow'=>1);
 include(PHPWG_ROOT_PATH.'include/page_header.php');
Index: /trunk/search_rules.php
===================================================================
--- /trunk/search_rules.php	(revision 7822)
+++ /trunk/search_rules.php	(revision 7823)
@@ -45,5 +45,5 @@
 $page['body_id'] = 'thePopuphelpPage';
 $title = l10n('Piwigo Help');
-$page['page_banner'] = '<h1>'.$title.'</h1>';
+$page['page_banner'] = '';
 $page['meta_robots']=array('noindex'=>1, 'nofollow'=>1);
 include(PHPWG_ROOT_PATH.'include/page_header.php');
Index: /trunk/themes/default/template/month_calendar.tpl
===================================================================
--- /trunk/themes/default/template/month_calendar.tpl	(revision 7822)
+++ /trunk/themes/default/template/month_calendar.tpl	(revision 7823)
@@ -75,6 +75,6 @@
  			<td class="calDayCellEmpty">{$day.DAY}
  		{/if}
- 	{else}
- 		<td class="calDayCellBlank">
+ 	{else}{*blank cell first or last row only*}
+ 		<td>
  	{/if}
  	</td>
Index: /trunk/themes/default/template/popuphelp.tpl
===================================================================
--- /trunk/themes/default/template/popuphelp.tpl	(revision 7822)
+++ /trunk/themes/default/template/popuphelp.tpl	(revision 7823)
@@ -1,12 +1,21 @@
 <div id="content" class="content">
+  <div class="titrePage">
+	<ul class="categoryActions">
+	  <li>
+		<a href="#" onclick="window.close();" title="{'Close this window'|@translate}">
+		  <img src="{$ROOT_URL}{$themeconf.icon_dir}/exit.png" class="button" alt="exit">
+		</a>
+	  </li>
+	</ul>
+  <h2>{$PAGE_TITLE}</h2>
+  </div>
+
 {$HELP_CONTENT}
+
+<p>
+    <a href="#" onclick="window.close();">{'Close this window'|@translate}</a>
+</p>
+
 </div> <!-- content -->
 
-<ul class="categoryActions">
-  <li>
-    <a href="#" onclick="window.close();" title="{'Close this window'|@translate}">
-      <img src="{$ROOT_URL}{$themeconf.icon_dir}/exit.png" class="button" alt="exit">
-    </a>
-  </li>
-</ul>
 
Index: /trunk/themes/default/template/search_rules.tpl
===================================================================
--- /trunk/themes/default/template/search_rules.tpl	(revision 7822)
+++ /trunk/themes/default/template/search_rules.tpl	(revision 7823)
@@ -1,4 +1,13 @@
 <div id="content" class="content">
-<h2>{'Search rules'|@translate}</h2>
+  <div class="titrePage">
+	<ul class="categoryActions">
+	  <li>
+		<a href="#" onclick="window.close();" title="{'Close this window'|@translate}">
+		  <img src="{$ROOT_URL}{$themeconf.icon_dir}/exit.png" class="button" alt="exit">
+		</a>
+	  </li>
+	</ul>
+  <h2>{'Search rules'|@translate}</h2>
+  </div>
 
 {if isset($INTRODUCTION) }
@@ -47,11 +56,8 @@
 </ul>
 
+<p>
+    <a href="#" onclick="window.close();">{'Close this window'|@translate}</a>
+</p>
+
 </div> <!-- content -->
 
-<ul class="categoryActions">
-	<li>
-		<a href="#" onclick="window.close();" title="{'Close this window'|@translate}">
-			<img src="{$ROOT_URL}{$themeconf.icon_dir}/exit.png" class="button" alt="exit">
-		</a>
-	</li>
-</ul>
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 7822)
+++ /trunk/themes/default/theme.css	(revision 7823)
@@ -140,9 +140,5 @@
 	list-style: none;
 	text-align: center;
-}
-
-.content DIV.titrePage UL.categoryActions {
 	float: right;
-	text-align: center;
 }
 
@@ -156,5 +152,5 @@
 
 .content UL.categoryActions A IMG, UL.categoryActions A {
-	border: none;
+	border: 0;
 	margin-bottom: -5px;
 }
@@ -170,4 +166,5 @@
 	font-weight: bold;
 	margin: 0 1px;
+	border: 1px solid gray;
 }
 
@@ -194,8 +191,9 @@
 }
 
-TD.calDayCellFull, TD.calDayCellEmpty, TD.calDayCellBlank {
+TD.calDayCellFull, TD.calDayCellEmpty {
 	vertical-align: top;
-  font-weight: bold;
-  font-size: 18px;
+	font-weight: bold;
+	font-size: 18px;
+	border: 1px solid gray;
 }
 
@@ -851,10 +849,4 @@
 }
 
-/*calendar*/
-SPAN.calItem, SPAN.calItemEmpty, 
-TD.calDayCellEmpty, TD.calDayCellFull {
-	border: 1px solid gray;
-}
-
 #piwigoAbout {width:600px;margin:0 auto;}
 #linkToPiwigo {text-align:center;}