Index: /extensions/PWG_Stuffs/language/sv_SE/description.txt
===================================================================
--- /extensions/PWG_Stuffs/language/sv_SE/description.txt	(revision 7825)
+++ /extensions/PWG_Stuffs/language/sv_SE/description.txt	(revision 7825)
@@ -0,0 +1,1 @@
+Lägg till moduler i ditt galleri
Index: /extensions/PWG_Stuffs/language/sv_SE/index.php
===================================================================
--- /extensions/PWG_Stuffs/language/sv_SE/index.php	(revision 7825)
+++ /extensions/PWG_Stuffs/language/sv_SE/index.php	(revision 7825)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PWG_Stuffs/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/sv_SE/plugin.lang.php	(revision 7825)
+++ /extensions/PWG_Stuffs/language/sv_SE/plugin.lang.php	(revision 7825)
@@ -0,0 +1,164 @@
+<?php
+
+$lang['stuffs_mods_management'] = 'Enhetshantering';
+$lang['stuffs_add_mod'] = 'Lägg till enhet';
+$lang['stuffs_edit_mod'] = 'Ändra enhet';
+
+$lang['stuffs_module_title'] = 'Enhetens titel';
+$lang['stuffs_desc'] = 'Beskrivning';
+$lang['stuffs_only_for_admin'] = '(enbart för administrations panelen)';
+$lang['stuffs_type'] = 'Enhetstyp';
+$lang['stuffs_position'] = 'Position';
+$lang['stuffs_id_ligne'] = 'ID linje';
+$lang['stuffs_width'] = 'Bredd';
+$lang['stuffs_action'] = 'Åtgärder';
+$lang['stuffs_edit'] = 'Modifiera enhet';
+$lang['stuffs_delete'] = 'Ta bort enhet';
+$lang['stuffs_confirm_delete'] = 'Är du säker på att du vill ta bort enhet %s?';
+$lang['stuffs_main_block'] = 'Huvudblock';
+
+$lang['stuffs_add_module'] = 'Lägg till ny enhet';
+$lang['stuffs_module_config'] = 'Enhets konfiguration';
+$lang['stuffs_visual_config'] = 'Visnings konfiguration';
+$lang['stuffs_module_options'] = 'Enhets alternativ';
+$lang['stuffs_authorized_group'] = 'Tillåtna grupper';
+$lang['stuffs_authorized_users'] = 'Tillåtna användare';
+$lang['stuffs_public_module'] = '(Behåll tom för allmänn enhet)';
+$lang['stuffs_show_title'] = 'Visa enhetens titel';
+$lang['stuffs_show_module_on'] = 'Visa enhet :';
+$lang['stuffs_show_on_home'] = 'På huvudsidan';
+$lang['stuffs_show_on_cats'] = 'På alla kategoriers sidor';
+$lang['stuffs_show_on_pictures'] = 'På bild sidor';
+$lang['stuffs_no_options'] = 'Inga alternativ för denna enhet';
+$lang['Hide on home page'] = 'Göm på huvudsidan';
+
+//Messages d'infos
+$lang['stuffs_order_saved'] = 'Ordningsföljd har sparats.';
+
+
+// Messages d'erreurs
+$lang['stuffs_error_no_mod_selected'] = 'Ingen kategori markerad.';
+$lang['stuffs_no_name'] = 'Specifiera namn på enheten';
+
+//------------------------------------------------------------------------------
+//							Module LastComs
+//------------------------------------------------------------------------------
+
+$lang['module_name_lastcoms'] = 'Senaste kommentarer';
+$lang['module_desc_lastcoms'] = 'Visa senast tillagda kommentarer';
+
+$lang['lastcoms_no_nb_comments'] = 'Du måste specifiera antal kommentarer.';
+$lang['lastcoms_config'] = 'Konfiguration';
+$lang['lastcoms_nb_comments'] = 'Antal kommentarer att visa';
+$lang['lastcoms_show_buttons'] = 'Visa admin knappar';
+$lang['lastcoms_dim'] = 'Storlek på miniatyrbilder';
+$lang['lastcoms_width'] = 'Max bredd';
+$lang['lastcoms_height'] = 'Max höjd';
+$lang['lastcoms_nb_cadres'] = 'Antal ramar i linje';
+$lang['lastcoms_taille_cadres'] = 'Ram höjd';
+
+
+//------------------------------------------------------------------------------
+//							Module Logon
+//------------------------------------------------------------------------------
+
+$lang['module_name_logon'] = 'Logga in';
+$lang['module_desc_logon'] = 'Visa "logga in" block';
+
+$lang['logon_remove_menubar_block'] = 'Ta bort "Snabb anslutning" block från menyn';
+
+
+//------------------------------------------------------------------------------
+//							Module Personal
+//------------------------------------------------------------------------------
+
+$lang['module_name_personal'] = 'Personligt block';
+$lang['module_desc_personal'] = 'Visa personligt block (som en edito)';
+
+$lang['personal_content'] = 'innehåll';
+
+
+//------------------------------------------------------------------------------
+//							Module Tags
+//------------------------------------------------------------------------------
+
+$lang['module_name_tags'] = 'Taggar';
+$lang['module_desc_tags'] = 'Visa taggar i galleriet';
+
+$lang['stuffs_tags_default_display'] = 'Visning av taggar';
+$lang['stuffs_tags_cloud'] = 'Taggmoln';
+$lang['stuffs_tags_letters'] = 'Sortera efter bokstäver';
+$lang['stuffs_tags_cumulus'] = 'Använd cumulus läge (plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> måste vara installerat)';
+
+
+//------------------------------------------------------------------------------
+//							Module Piclenswall
+//------------------------------------------------------------------------------
+
+$lang['module_name_piclenswall'] = 'Piclens 3DWall';
+$lang['module_desc_piclenswall'] = 'Visa piclens 3D wall (plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> måste vara installerat)';
+
+$lang['piclenswall_height'] = 'Väggens höjd';
+$lang['piclenswall_background_color'] = 'Bakgrunds färg';
+$lang['piclenswall_black'] = 'Svart';
+$lang['piclenswall_white'] = 'Vit';
+$lang['piclenswall_info'] = 'Så att So that väggen fungerar korrekt';
+$lang['piclenswall_info_piclens'] = 'Du måste installera och aktivera <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a> plugin.';
+$lang['piclenswall_info_crossdomain'] = 'Du måste kopiera <a href="%s">crossdomain.xml</a> fil till huvudmappen av din sida (eller modifiera existerande fil).';
+$lang['piclenswall_info_param'] = '3D Wall Inställningar måste modifieras på <b>Cooliris-piclens/b> plugin konfigurations sidan.';
+
+//------------------------------------------------------------------------------
+//							Module Most Visited
+//------------------------------------------------------------------------------
+
+$lang['module_name_mostvisited'] = 'Mest visad';
+$lang['module_desc_mostvisited'] = 'Visa x mest visade bilder i galleriet eller i en kategori';
+
+$lang['stuffs_mv_nb_images'] = 'Maximalt antal bilder att visa';
+$lang['stuffs_mv_category_display'] = 'Visa på kategori sidorna';
+$lang['stuffs_mv_all_cats'] = 'Alla kategorier';
+$lang['stuffs_mv_w_thumb'] = 'Enbart kategorier med miniatyrbilder';
+$lang['stuffs_mv_wo_thumb'] = 'Enbart kategorier utan miniatyrbilder';
+$lang['stuffs_mv_selected_cats'] = 'Enbart markerade kategorier';
+
+$lang['stuffs_mv_cat_selection'] = 'Kategoriernas markering';
+$lang['stuffs_mv_hold_ctrl'] = 'håll in CTRL';
+
+//------------------------------------------------------------------------------
+//							Module Best Rated
+//------------------------------------------------------------------------------
+
+$lang['module_name_bestrated'] = 'Högst betygsatt';
+$lang['module_desc_bestrated'] = 'Visa x högst betygsatta bilder i galleriet eller i en kategori';
+
+//------------------------------------------------------------------------------
+//							Module Recent
+//------------------------------------------------------------------------------
+
+$lang['module_name_recent'] = 'Senastee bilder';
+$lang['module_desc_recent'] = 'Visa x senaste bilder i galleriet eller i en kategori (om det finns)';
+
+//------------------------------------------------------------------------------
+//							Module Random
+//------------------------------------------------------------------------------
+
+$lang['module_name_random'] = 'Slumpade bilder';
+$lang['module_desc_random'] = 'Visa x slumpade bilder i galleriet eller i en kategori';
+
+//------------------------------------------------------------------------------
+//							Module Citation
+//------------------------------------------------------------------------------
+
+$lang['module_name_citation'] = 'Slumpa citat';
+$lang['module_desc_citation'] = 'Visa ett slumpad citat';
+$lang['module_Citation_lang'] = 'Språk';
+$lang['module_Citation_code'] = 'Relaterad kod';
+
+//------------------------------------------------------------------------------
+//							Module Featured Photos
+//------------------------------------------------------------------------------
+
+$lang['module_name_featuredphotos'] = 'Bilder i rampljuset';
+$lang['module_desc_featuredphotos'] = 'Visa webmasterns favorit bilder';
+
+?>